------------------------------------------------------------------------
r533 | massiot | 2000-12-30 01:38:19 +0100 (Sat, 30 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_netlist.c

Comments for Henri.

------------------------------------------------------------------------
r534 | massiot | 2001-01-02 15:03:30 +0100 (Tue, 02 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/video_parser.c

Better display of the fps.

------------------------------------------------------------------------
r535 | massiot | 2001-01-04 19:47:18 +0100 (Thu, 04 Jan 2001) | 4 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/video_output/video_output.c

* Fixed a deadlock (the vout unlocked a mutex locked by another thread,
grrrr, I'll kill someone) ;
* Put config.h in front of others in audio_decoder.c.

------------------------------------------------------------------------
r537 | bozo | 2001-01-05 00:18:21 +0100 (Fri, 05 Jan 2001) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c

  - fixed pitch bug;
  - fixed segfault, it was probably a memory corruption but I'm not sure :) ;
  - video_output.c : compute picture size even if b_need_render == 0;

------------------------------------------------------------------------
r538 | sam | 2001-01-05 14:57:12 +0100 (Fri, 05 Jan 2001) | 23 lines
Changed paths:
   A /trunk/include/modules.h
   A /trunk/include/modules_config.h
   A /trunk/include/modules_inner.h
   A /trunk/src/misc/modules.c


 . Added files needed for the forthcoming module management.

 Notes:

   Plugins are now called modules, because we will be able to compile
   them either as a dynamic plugin, or within the program. And, more
   important, I can commit this without having to break the vlc :)

   I tried to be as clear as possible in my comments, please tell me
   if a few prototypes still have an unclear beahaviour.

   Current features:
    . none, files haven't even been added to the Makefile yet.

   Future features:
    . dynamic loading (done)
    . built-in modules (still to do)
    . automatic unloading of plugins (done)
    . dynamic configuration (still to do)
    . automatic choosing of the most appropriate plugin for a given
       task (still to do but well prepared)

------------------------------------------------------------------------
r539 | sam | 2001-01-05 15:24:06 +0100 (Fri, 05 Jan 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/null
   A /trunk/plugins/null/null.c


 . added the Null Module, the module that does nothing but that is going
    to be of great help for debugging my module code.

------------------------------------------------------------------------
r540 | sam | 2001-01-05 15:28:42 +0100 (Fri, 05 Jan 2001) | 4 lines
Changed paths:
   M /trunk/include/modules.h
   A /trunk/include/modules_core.h
   M /trunk/src/misc/modules.c


 . splitted modules.h into modules.h and modules_core.h to enable
    clean compilation of the Null Module.

------------------------------------------------------------------------
r541 | sam | 2001-01-05 15:45:47 +0100 (Fri, 05 Jan 2001) | 7 lines
Changed paths:
   M /trunk/include/beos_window.h
   M /trunk/include/config.h.in
   M /trunk/include/int_types.h
   M /trunk/include/keystrokes.h
   M /trunk/include/threads.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/audio_decoder/adec_bit_stream.h
   M /trunk/src/audio_decoder/adec_generic.h
   M /trunk/src/audio_decoder/adec_test.c
   M /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/main.c


 . this is a coding style patch which removes all "foo(bar){" constructions
   and most of the tabulations.
 . also, fixed a bug in the default subtitle track.
 . and made a few error messages more explicit, ie. changed "error: %s" to
   "foo error: couldn't initialize bar (%s)"

------------------------------------------------------------------------
r542 | sam | 2001-01-05 15:46:37 +0100 (Fri, 05 Jan 2001) | 10 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.h
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.h
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/playlist.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idctmmx.S
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c


(previous commit foired)

 . this is a coding style patch which removes all "foo(bar){" constructions
   and most of the tabulations.
 . also, fixed a bug in the default subtitle track.
 . and made a few error messages more explicit, ie. changed "error: %s" to
   "foo error: couldn't initialize bar (%s)"
 . and removed a warning in intf_ctrl.c which isn't used anyway.

------------------------------------------------------------------------
r543 | sam | 2001-01-05 19:06:33 +0100 (Fri, 05 Jan 2001) | 7 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/plugins.c


 . src/misc/modules.c is in a workable state now.

  To test it, run ./configure with the --enable-null flag, which will
  compile the Null Module as a plugin. Watch the memory usage at the
  launch and when the plugin is released.

------------------------------------------------------------------------
r544 | massiot | 2001-01-05 19:46:45 +0100 (Fri, 05 Jan 2001) | 9 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/debug.h
   M /trunk/include/defs.h.in
   M /trunk/include/interface.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/x11/intf_x11.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/input_ts.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

BSD port, including :
* --enable-sdl and some others are now --with-sdl[=name] to supply an
optional library name ;
* deleted all unnecessary #include <sys/uio.h> ;
* /usr/include is now searched when looking for libraries and headers.

It seems to compile and run on BSD. Under Linux Sam's latest commit makes
vlc crash on startup, so I can't really tell, but hey it compiles.

------------------------------------------------------------------------
r545 | henri | 2001-01-06 04:16:00 +0100 (Sat, 06 Jan 2001) | 4 lines
Changed paths:
   M /trunk/src/input/input_netlist.c


Fixed initialization of payload_start and payload_end
It should be finished now.

------------------------------------------------------------------------
r546 | henri | 2001-01-06 06:44:45 +0100 (Sat, 06 Jan 2001) | 3 lines
Changed paths:
   M /trunk/src/input/input_netlist.c


Fixed a typo than prevented from building ...

------------------------------------------------------------------------
r547 | sam | 2001-01-06 08:23:32 +0100 (Sat, 06 Jan 2001) | 8 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/misc/modules.c


 . should compile & run on Solaris with ./configure --disable-dsp
    (tested on puma)
 . removed most SYS_SOLARIS #ifdef's in favour of more generic tests
 . updated example ./configure line in INSTALL file
 . now we only load modules that end with ".so"
 . null module is compiled by default

------------------------------------------------------------------------
r548 | benny | 2001-01-06 09:04:46 +0100 (Sat, 06 Jan 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

Fixed solaris libraries

------------------------------------------------------------------------
r549 | benny | 2001-01-06 09:05:17 +0100 (Sat, 06 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/misc/netutils.c

Fixed compilation pb under solaris 2.6

------------------------------------------------------------------------
r550 | henri | 2001-01-07 04:56:40 +0100 (Sun, 07 Jan 2001) | 8 lines
Changed paths:
   M /trunk/include/threads.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c


- Added vlc_mutex_destroy and vlc_cond_destroy function, for pthreads.
- Used them before quitting, every lock and cond is destroyed
- Checked the return value of malloc and realloc in input_programs
- Cosmetic changes

TODO: add vlc_*_destroy for beos and C_thread

------------------------------------------------------------------------
r551 | henri | 2001-01-07 05:31:18 +0100 (Sun, 07 Jan 2001) | 5 lines
Changed paths:
   M /trunk/include/threads.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c


- Order : if a then b are initialized, release b then a ;
- Typos ;
- Cosmetic changes.

------------------------------------------------------------------------
r552 | benny | 2001-01-07 06:41:50 +0100 (Sun, 07 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Optimisation de BinaryLog

------------------------------------------------------------------------
r553 | benny | 2001-01-07 07:40:29 +0100 (Sun, 07 Jan 2001) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Hum, ouais bon ben euhh, j'avais fume, donc je repare mes conneries et je
vais me coucher.

------------------------------------------------------------------------
r556 | octplane | 2001-01-07 16:58:33 +0100 (Sun, 07 Jan 2001) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

NoSEGfault Kl?\239?\191?\189dge added.

------------------------------------------------------------------------
r557 | sam | 2001-01-07 17:17:59 +0100 (Sun, 07 Jan 2001) | 37 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/debian/rules
   M /trunk/include/audio_output.h
   M /trunk/include/modules.h
   D /trunk/include/modules_config.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/null/null.c
   M /trunk/plugins/yuvmmx/video_yuv_asm.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/misc/modules.c

 . all plugins now compile with -fPIC.

 . made the audio_output API a bit simpler.

 . got rid of modules_config.h.

 . fixed `make install' rule.

 . fixed warnings in the MMX YUV compilation.

 . probably fixed a bug in the input : pp_foo structures were free()d at
   the end, but this was useless since the last call to realloc() is
   equivalent to free(), and two consecutive calls to free() aren't a
   goo idea.

 . we check that the version number match and that we don't already have
   a module by that name when loading a new module.

 . all public module_* functions now properly lock the module bank.

 . the audio_output now uses the new module API ; EsounD and DSP modules
   have been ported, which should be enough for Henri to port the ALSA one.


   The new plugin API is now much simpler ; it's now just a matter of
calling module_Need( p_main->p_module_bank, MODULE_CAPABILITY_FOO, p_data );
and if successful we get the best module. Capabilities can be ORed, so that
one can ask for a plugin that does VOUT _and_ INTF actions for instance.

   It's not complete yet though -- by making it generic I had to do a few
ugly casts here and there, which I am going to fix ASAP. Also, command line
selection of a plugin does not work yet.

   The switch to the new plugin API has probably broken the BeOS audio
output ; we can either wait until the whole vlc has switched to the new
plugins, or create a separate beos_sound.so that conforms to the new API.

------------------------------------------------------------------------
r558 | sam | 2001-01-07 18:07:02 +0100 (Sun, 07 Jan 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/debian/.cvsignore
   A /trunk/lib
   A /trunk/lib/.cvsignore

 . added a .cvsignore file in lib/ so that the directory doesn't get
   removed whenever one does a cvs update -dP
 . fixed debian/.cvsignore because of a new version of debhelper

------------------------------------------------------------------------
r559 | bozo | 2001-01-08 02:07:21 +0100 (Mon, 08 Jan 2001) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

  - cleaning of SDL Lock/Unlock Surface.

------------------------------------------------------------------------
r560 | sam | 2001-01-08 19:16:33 +0100 (Mon, 08 Jan 2001) | 13 lines
Changed paths:
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/video_output/video_output.c


 . Added a missing mutex_unlock in video_output.c
 . Moved a mutex_destroy after the thread cancellation to prevent
   possible problems
 . Added a missing #ifdef in intf_msg.c which prevented compilation
   with --enable-debug
 . Fixed a bug in the input that prevented to quit properly in certain
   cases (some ES were not deleted because their index was skipped when
   the former one was deleted, well Meuuh should know what I mean)

  There is still a segfault when quitting, most presumably in the
 audio output. I couldn't find what causes it yet.

------------------------------------------------------------------------
r561 | bozo | 2001-01-08 23:42:50 +0100 (Mon, 08 Jan 2001) | 6 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

  - fixed colors' bug (TODO: write a function in vout that recalculate colors
    from RGB masks);
  - cleaning of the fullscreen switch, still sucks but the surface is not
    reallocated and that's good (thanks to the magic function
    SDL_WM_ToggleFullScreen provided by sdl library :).

------------------------------------------------------------------------
r562 | bozo | 2001-01-08 23:56:06 +0100 (Mon, 08 Jan 2001) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

  - maybe found the fullscreen bug, please test :)

------------------------------------------------------------------------
r563 | sam | 2001-01-09 22:03:47 +0100 (Tue, 09 Jan 2001) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-dec.h


 . fixed a warning under FreeBSD (dlerror() is a const char*, not a char*).
 . made configure script look for the bswap assembly instruction (using
   AC_TRY_COMPILE makes sure the compiler will really accept it).

------------------------------------------------------------------------
r564 | octplane | 2001-01-09 23:30:26 +0100 (Tue, 09 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

.Added 8bits palette SDL support.
.Tried to add it to stable, failed, probably because of the initialisation codes which are differents...

------------------------------------------------------------------------
r565 | sam | 2001-01-10 00:29:15 +0100 (Wed, 10 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c


 . just removed a forgotten debug message in the setpalette code

------------------------------------------------------------------------
r566 | sam | 2001-01-10 03:33:59 +0100 (Wed, 10 Jan 2001) | 10 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/modules.h
   M /trunk/include/modules_core.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/null/null.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/plugins.c


 . complete commenting of modules_core.h and small modifications
 . separated MODULE_CONFIG_START and ADD_WINDOW (Henri, beware)
 . fixed a very, very old bug that caused namespace collision between
   plugins (Henri, beware: call your aout_getplugin function like this,
   not alsa_aout_getplugin)
 . removed the Debian specific clean rules from the Makefile, since they
   are already handled by the debian/rules script.
 . tidied a few compilation rules (-lfoo should always be at the end)

------------------------------------------------------------------------
r567 | massiot | 2001-01-10 17:24:11 +0100 (Wed, 10 Jan 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ps.c

* Placed a callback to the decoder in the bitstream structure ;
* Fixed a purify bug in input_ps.c ;
* Added -mcpu=pentiumpro in the Makefile.

------------------------------------------------------------------------
r568 | massiot | 2001-01-10 20:22:11 +0100 (Wed, 10 Jan 2001) | 5 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input.h
   M /trunk/src/input/input_dec.c
   D /trunk/src/input/input_dec.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/input/mpeg_system.h
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

* Changed code for handling b_die in bitstream ;
* Move input_ext-dec.h to input.h ;
* New input_NullPacket function ;
* Fixed init bugs in input and vpar ;

------------------------------------------------------------------------
r569 | sam | 2001-01-10 20:48:26 +0100 (Wed, 10 Jan 2001) | 4 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c


 . fixed a missing #ifdef STATS
    *grin*

------------------------------------------------------------------------
r570 | sam | 2001-01-11 16:35:35 +0100 (Thu, 11 Jan 2001) | 9 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h


 . moved swab32 from input_ext-dec.h to common.h. We probably won't need
   it anymore really soon, since ntohl() and htonl() seem to be properly
   optimized when gcc is passed the right optimization flags.

 . fixed GetBits32 and RemoveBits32. I know the #ifdefs are useless since
   we only support u32 words, but it's a safe reminder. Comments appreciated
   on this fix since I may have b0rked something -- it runs well here though.

------------------------------------------------------------------------
r571 | sam | 2001-01-11 18:44:48 +0100 (Thu, 11 Jan 2001) | 12 lines
Changed paths:
   M /trunk/include/audio_output.h
   D /trunk/src/audio_decoder/adec_bit_stream.h
   M /trunk/src/audio_decoder/adec_generic.c
   M /trunk/src/audio_decoder/adec_generic.h
   M /trunk/src/audio_decoder/adec_layer1.c
   M /trunk/src/audio_decoder/adec_layer1.h
   M /trunk/src/audio_decoder/adec_layer2.c
   M /trunk/src/audio_decoder/adec_layer2.h
   M /trunk/src/audio_decoder/adec_math.c
   M /trunk/src/audio_decoder/adec_test.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h


  . moved the MPEG audio decoder to the new bitstream

    I wasn't sure whether the bits counting method was effective to
  skip ancillary data at the end of a frame, but I kept it for
  safety. There is still a lot to optimize in the bit counting, like
  unrolling the first iteration of some loops, but I don't know if
  it would be worth it. The other solution would have been to look for
  a startcode after eache frame, without caring about the ancillary bits.

  . cleaning in the SPU decoder.

------------------------------------------------------------------------
r572 | massiot | 2001-01-12 12:36:49 +0100 (Fri, 12 Jan 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-dec.h

* Fixed 32 bits bitstream bugs.

------------------------------------------------------------------------
r573 | henri | 2001-01-12 13:48:24 +0100 (Fri, 12 Jan 2001) | 9 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c


Done :
- ported the alsa plugin to the news vlc module API
- cosmetic changes

To do :
- check if it works with the latest alsa release
- add features ... prepare for 4 or more speakers

------------------------------------------------------------------------
r574 | sam | 2001-01-12 14:15:42 +0100 (Fri, 12 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c

  . Attempt to port the BeOS audio plugin to the new module API. Will
    probably need a few fixes to work or even compile.

------------------------------------------------------------------------
r575 | sam | 2001-01-12 15:49:55 +0100 (Fri, 12 Jan 2001) | 3 lines
Changed paths:
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c

 . destroy fifo mutex and cond variables _after_ they are used for
   the last time. henri, that'll be one binouze.

------------------------------------------------------------------------
r576 | massiot | 2001-01-12 18:33:18 +0100 (Fri, 12 Jan 2001) | 13 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_parser/video_parser.c

* Changed default values :
INPUT_PTS_DELAY down to 200 ms ;
video heap down from 10 to 5 pictures ;
decoder fifo size from 1023 to 511 PES ;
* Fixed various bugs in 32 bit-versions of input_ext-dec.h ;
* Fixed a bug in GetChunk() ;
* Renamed GetByte, GetWord, ShowWord to _GetByte, _GetWord, _ShowWord ;
* Moved decoder_fifo-specific code from programs.c to dec.c ;
* Fixed bugs in program.c that prevented vlc to close all decoders ;
* Gave sam a lesson for the use of the bitstream in spu_decoder.c :ppp ;
* Made the video parser unlock the reference pictures before quitting
(still one left, yaknow why ?)

------------------------------------------------------------------------
r577 | sam | 2001-01-13 13:57:21 +0100 (Sat, 13 Jan 2001) | 16 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/modules.h
   A /trunk/include/video_decoder.h
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/esd/aout_esd.c
   A /trunk/plugins/idct
   A /trunk/plugins/idct/idct.c
   A /trunk/plugins/idct/idct.h
   A /trunk/plugins/idct/idct_common.c
   A /trunk/plugins/idct/idctclassic.c
   A /trunk/plugins/idct/idctmmx.c
   A /trunk/plugins/idct/idctmmx_asm.S
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/misc/modules.c
   D /trunk/src/video_decoder/vdec_idct.c
   D /trunk/src/video_decoder/vdec_idct.h
   D /trunk/src/video_decoder/vdec_idctmmx.S
   D /trunk/src/video_decoder/video_decoder.h
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


 . the IDCT functions are now located in modules : the classic IDCT,
   our optimized IDCT, and MMX IDCT.
 . cosmetic changes for modules (pf_* instead of p_*)
 . fixes to the BeOS and dummy modules

   WARNING: a new directory has been added, which means you have to
   use `cvs update -dP' to update ; files have been removed , which means
   you either have to run `make distclean' or remove the .deps directory,
   and the configure script has changed, which means you have to run it
   again. Don't complain before having checked this :)

   Note about the IDCT modules: there is no way to choose the one we
   use, but you may remove the module in lib/ to prevent it from being
   loaded. The preference order is : MMX, Optimized, Classic.

------------------------------------------------------------------------
r578 | sam | 2001-01-13 13:57:47 +0100 (Sat, 13 Jan 2001) | 3 lines
Changed paths:
   A /trunk/src/video_decoder/vdec_idct.h


 . second part of the commit

------------------------------------------------------------------------
r579 | stef | 2001-01-14 08:08:00 +0100 (Sun, 14 Jan 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/include/main.h
   A /trunk/src/input/dvd_ifo.c
   A /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input.c
   A /trunk/src/input/input_dvd.c
   A /trunk/src/input/input_dvd.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c

. Beginning of dvd_input.
. Parsing of ifo file almost completed.
. Still does not work well.

------------------------------------------------------------------------
r580 | stef | 2001-01-15 04:26:56 +0100 (Mon, 15 Jan 2001) | 14 lines
Changed paths:
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input_dvd.c

. Correction of bugs in ifo parsing. Now the structures should be well
initialized. It remains some segfaults but it globally works.
. DVD mode is enabled with option --dvd. For the moment, it only read
the first vts and find the movie if it is at the beginning of the title
set.

Coming soon:
. udf filesystem management to access over 2Gb zones.
. detection of the offset to the movie inside a vts when it is not at
the beginning.

Is there a chance that using fopen/fseek function instead of open/lseek
system calls solve the 2Gb issue ?

------------------------------------------------------------------------
r581 | sam | 2001-01-15 07:18:23 +0100 (Mon, 15 Jan 2001) | 19 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/modules.h
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/vout_gnome.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct_common.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/intf_x11.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   M /trunk/src/input/input_dec.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/playlist.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/video_output/video_output.c


 . fixed the bug-that-made-the-vlc-segfault-on-exit, which means that
   more than ever, ?\239?\191?\189 le client ne segfaulte pas ?\239?\191?\189.

 . there was still a problem upon quitting: sometimes the null packet
   wasn't big enough to reach a decoder breakpoint, so I now create 10
   of them (since I can't make it bigger) to be sure. Meuuh, what do
   you think ?

 . fixed the Makefile to spare a few variables here and there.

 . reduced module hide delay, removed loading of the audio output
   plugins since they are now modules.

 . changed a few intf_Msg to intf_DbgMsg, and added "vout:", "intf:",
   and so on in a few other messages.

 . removed unused includes in the idct modules.

------------------------------------------------------------------------
r582 | sam | 2001-01-15 07:56:30 +0100 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input.h

 . correction d'un poliotage de copier-coller

------------------------------------------------------------------------
r583 | sam | 2001-01-15 09:07:31 +0100 (Mon, 15 Jan 2001) | 3 lines
Changed paths:
   M /trunk/src/input/input.h


   OK, so I foired input.h once again. But this one works. For real.

------------------------------------------------------------------------
r584 | reno | 2001-01-15 13:42:58 +0100 (Mon, 15 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

* Fixed close button support in SDL
* Fixed --width and --height support in SDL

------------------------------------------------------------------------
r585 | massiot | 2001-01-15 14:25:09 +0100 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_decoder/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

* Implemented video_parser bitstream callback for PTS/DTS.

------------------------------------------------------------------------
r586 | massiot | 2001-01-15 19:02:49 +0100 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vpar_headers.h
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Finally fixed repeat_first_field and co. (pas encore tout compris...)

------------------------------------------------------------------------
r587 | massiot | 2001-01-15 20:54:34 +0100 (Mon, 15 Jan 2001) | 4 lines
Changed paths:
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Fixed a bug in the frame rate handling ;
* Fixed a bug in the DTS/PTS ordering.
Our pts are _at last_ accurate.

------------------------------------------------------------------------
r588 | sam | 2001-01-16 03:16:38 +0100 (Tue, 16 Jan 2001) | 14 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/modules.h
   M /trunk/include/tests.h
   M /trunk/include/video_output.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/null/null.c
   A /trunk/plugins/yuv/transforms_common.h
   A /trunk/plugins/yuv/transforms_yuv.c
   A /trunk/plugins/yuv/transforms_yuv.h
   A /trunk/plugins/yuv/transforms_yuvmmx.c
   A /trunk/plugins/yuv/transforms_yuvmmx.h
   A /trunk/plugins/yuv/video_common.h
   M /trunk/plugins/yuv/video_yuv.c
   D /trunk/plugins/yuv/video_yuv.h
   D /trunk/plugins/yuv/video_yuv15.c
   D /trunk/plugins/yuv/video_yuv16.c
   D /trunk/plugins/yuv/video_yuv24.c
   D /trunk/plugins/yuv/video_yuv32.c
   D /trunk/plugins/yuv/video_yuv8.c
   D /trunk/plugins/yuv/video_yuv_macros.h
   D /trunk/plugins/yuv/video_yuv_macros_8bpp.h
   A /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/plugins/yuv/yuv.c
   A /trunk/plugins/yuv/yuvmmx.c
   D /trunk/plugins/yuvmmx
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/misc/tests.c
   M /trunk/src/video_output/video_yuv.c

 . merged the YUV plugins in the same directory to avoid too much code
   duplication
 . YUV transformations now use the new module API ; now only the vout
   and interface still depend on the old plugin API
 . changed TestMMX to TestCPU because we will be able to test for other
   specific extensions (3DNow, SSE) for the forthcoming IDCT we'll
   borrow to mpeg2dec (as usual :P)
 . don't show "hiding module" messages anymore except in debug mode
 . swapped C IDCT and Classic IDCT scores since the classic one seems
   to be faster ; anyway you should use the MMX one
 . fixed a Makefile bug under BeOS
 . tried to fix the cpuid code so that it compiles under BeOS (Polux, can
   you test it when you have time ?)

------------------------------------------------------------------------
r589 | stef | 2001-01-16 05:41:20 +0100 (Tue, 16 Jan 2001) | 11 lines
Changed paths:
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dvd.c

. Now use of 64 bits offsets to parse the whole DVD. So we have all the
available information
. Fixed a bug in parsing of VTS attributes
. Fixed a bug in input.c that made input plugin initialize even though
no stream is reachable (thanks Sam)

I hope I'll be able to get the position of the movie soon.

Meuuh : the seek function of the plugin now take off_t as argument which
could be a problem later. Maybe it should take off64_t or time argument.

------------------------------------------------------------------------
r590 | sam | 2001-01-16 06:04:25 +0100 (Tue, 16 Jan 2001) | 24 lines
Changed paths:
   M /trunk/debian/vlc.1
   M /trunk/include/config.h.in
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/yuv/transforms_yuv.c
   M /trunk/plugins/yuv/transforms_yuvmmx.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c


 [ include/config.h.in has changed, don't forget tu run ./configure ]

 . fixed the --aout, --idct and --yuv flags
 . updated manpage and --(long)help output to reflect that change
 . removed a few unneeded #includes here and there
 . cosmetic changes in error messages in input.c

   Currently available flags are now :

     --aout dummy
            esd
            dsp
            alsa

     --idct idct
            idctclassic
            idctmmx

     --yuv yuv
           yuvmmx

  --vout works like before, but still uses the old plugin system for now.

------------------------------------------------------------------------
r591 | sam | 2001-01-16 14:26:46 +0100 (Tue, 16 Jan 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/idct/idct_mmxext.c
   A /trunk/plugins/idct/idctmmxext.c

 . added files for the SSE (MMX on steroids) IDCT. Meuuh, you should just
   need to touch plugins/idct/idct_mmxext.c (ok, the filenames suck).

------------------------------------------------------------------------
r592 | massiot | 2001-01-16 14:27:14 +0100 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/vpar_synchro.c

* Change for the forthcoming fast forward and slow motion support.

------------------------------------------------------------------------
r593 | sam | 2001-01-16 15:05:38 +0100 (Tue, 16 Jan 2001) | 4 lines
Changed paths:
   M /trunk/plugins/idct/idctmmxext.c


 . add check for MMX EXT extensions, which doesn't work, which is a good
   thing since there is no MMX EXT IDCT yet :)

------------------------------------------------------------------------
r594 | sam | 2001-01-16 17:09:52 +0100 (Tue, 16 Jan 2001) | 6 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/include/tests.h
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/tests.c

 . a few changes in the CPU extensions detection code, borrowed from the
   kernel and from mpeg2dec. I still don't know how to detect if code
   compiled with -mcpu=pentiumpro will run, since the cpuid arcanes are
   quite obtuse to me. Perhaps we should also have a way not to load modules
   if they have been compiled with a different CPU to avoid segfaults.

------------------------------------------------------------------------
r595 | massiot | 2001-01-16 18:59:23 +0100 (Tue, 16 Jan 2001) | 5 lines
Changed paths:
   A /trunk/include/attributes.h
   M /trunk/include/mmx.h
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   A /trunk/src/video_decoder/vdec_motion_inner_mmxext.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Borrowed livid's latest libmmx and MMXEXT MC. Not in the Makefile => to
test it, replace vdec_motion_inner_mmx.c by vdec_motion_inner_mmxext.c.

I'm interested in performance feedback.

------------------------------------------------------------------------
r596 | massiot | 2001-01-16 19:06:01 +0100 (Tue, 16 Jan 2001) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Reverted something that wasn't supposed to go into the cvs :p
* Removed -fargument-noalias-global which causes problems with as (???).

------------------------------------------------------------------------
r597 | octplane | 2001-01-16 19:35:54 +0100 (Tue, 16 Jan 2001) | 6 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   D /trunk/plugins/sdl/video_yuv.c
   D /trunk/plugins/sdl/video_yuv.h
   D /trunk/plugins/sdl/video_yuv_macros.h
   D /trunk/plugins/sdl/video_yuvall.c

- Added SDL sound support. Sounds a bit laggy sometimes but my streams are ill.
  please try.
- modified configure.in and all that stuff. Re-run configure
- SDL audio, video and interface are all part of the same .so now.
- remove YUV old files :->

------------------------------------------------------------------------
r598 | octplane | 2001-01-16 22:00:20 +0100 (Tue, 16 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/sdl/aout_sdl.c

- minor cosmetic changes :P
- modified alsa and sdl default level to 50.

------------------------------------------------------------------------
r599 | sam | 2001-01-16 22:13:02 +0100 (Tue, 16 Jan 2001) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/aout_sdl.c


 . --aout sdl now works

------------------------------------------------------------------------
r600 | octplane | 2001-01-16 22:26:43 +0100 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/aout_sdl.c

- small tweak in the copy handling, reduce CPU usage.

------------------------------------------------------------------------
r601 | stef | 2001-01-17 01:52:22 +0100 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h

* Minor changes

------------------------------------------------------------------------
r602 | sam | 2001-01-17 18:25:13 +0100 (Wed, 17 Jan 2001) | 4 lines
Changed paths:
   M /trunk/include/modules_inner.h
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c


 . removed a few useless malloc() and unused variables in the audio SDL stuff
 . prepared the work for built-in modules (not yet finished)

------------------------------------------------------------------------
r603 | massiot | 2001-01-17 19:17:31 +0100 (Wed, 17 Jan 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/modules.h
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct.h
   M /trunk/plugins/idct/idct_common.c
   D /trunk/plugins/idct/idct_mmxext.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   D /trunk/plugins/idct/idctmmx_asm.S
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/src/video_decoder/vdec_idct.h
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_decoder/vpar_blocks.h
   M /trunk/src/video_decoder/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* Borrowed LiViD's MMX and MMX EXT IDCT.

This might break things. Expect a performance increase.

------------------------------------------------------------------------
r604 | sam | 2001-01-18 06:13:23 +0100 (Thu, 18 Jan 2001) | 17 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/vlc.1
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/modules.h
   A /trunk/include/vdec_motion.h
   A /trunk/include/vpar_blocks.h
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   A /trunk/plugins/motion
   A /trunk/plugins/motion/motion.c
   A /trunk/plugins/motion/motionmmx.c
   A /trunk/plugins/motion/motionmmxext.c
   A /trunk/plugins/motion/vdec_motion_common.c
   A /trunk/plugins/motion/vdec_motion_inner.c
   A /trunk/plugins/motion/vdec_motion_inner_mmx.c
   A /trunk/plugins/motion/vdec_motion_inner_mmxext.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuv/yuvmmx.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   D /trunk/src/video_decoder/vdec_motion.c
   D /trunk/src/video_decoder/vdec_motion.h
   D /trunk/src/video_decoder/vdec_motion_inner.c
   D /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   D /trunk/src/video_decoder/vdec_motion_inner_mmxext.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_decoder/video_parser.h
   D /trunk/src/video_decoder/vpar_blocks.h
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


    The motion compensation routines are now modules as well ; choose your
  implementation with `--motion motion', `--motion motionmmx' or
  `--motion motionmmxext'. Of course, the best implementation is chosen
  if you don't ask for any. There doesn't seem to be any performance hit
  due to the move to shared libs, which is a good thing. Please test
  actively if you have time, though.

    Updated --help result, manpage, INSTALL document, and a few files.

    I moved vdec_motion.h and vpar_blocks.h back to /include because they
  will be needed to build motion compensation modules, but perhaps we don't
  need to export everything which is in these files.

    /src/video_decoder/ now has only one .c file, perhaps it could now be
  merged with video_parser ?

------------------------------------------------------------------------
r605 | massiot | 2001-01-18 18:40:06 +0100 (Thu, 18 Jan 2001) | 2 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/video_parser/vpar_synchro.c

* 32-bit aligned bitstream (not that fast).

------------------------------------------------------------------------
r606 | sam | 2001-01-19 19:17:36 +0100 (Fri, 19 Jan 2001) | 10 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   D /trunk/debian/dirs
   M /trunk/debian/rules
   D /trunk/debian/vlc-esd.files
   D /trunk/debian/vlc-fb.files
   D /trunk/debian/vlc-ggi.files
   D /trunk/debian/vlc-glide.files
   D /trunk/debian/vlc-gnome.files
   M /trunk/debian/vlc-gnome.menu
   D /trunk/debian/vlc-sdl.files
   M /trunk/debian/vlc.copyright
   A /trunk/debian/vlc.dirs
   M /trunk/debian/vlc.menu
   M /trunk/vlc.spec


 . changed program version to 0.2.5 (preparing 0.3.0 release).
 . changed codename to Urumov
 . cleaned a lot of stuff in the Debian package generation.

  If anyone objects with the versioning scheme, let's fight in the
  dirt and sort that out. Or change it yourself.

  Debian packages can be tried here: http://armitage.via.ecp.fr/~sam/vlc/

------------------------------------------------------------------------
r607 | sam | 2001-01-20 05:19:02 +0100 (Sat, 20 Jan 2001) | 3 lines
Changed paths:
   M /trunk/include/input_ext-dec.h


 . the infamous Saturday morning mighty one-liner patch that fixes subtitles

------------------------------------------------------------------------
r608 | sam | 2001-01-20 14:08:33 +0100 (Sat, 20 Jan 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-dec.h

 . really fixed GetChunk now.

------------------------------------------------------------------------
r609 | stef | 2001-01-20 21:59:44 +0100 (Sat, 20 Jan 2001) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/src/input/css_table.h
   A /trunk/src/input/dvd_css.c
   A /trunk/src/input/dvd_css.h
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dvd.c
   M /trunk/src/input/input_dvd.h

* Beginning of support for encrypted DVDs.
* It only tests encryption and authenticates disc.

The decryption does not work now et it is very ugly but I'm working on it.

------------------------------------------------------------------------
r610 | massiot | 2001-01-21 02:36:26 +0100 (Sun, 21 Jan 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* Various miscellaneous minor optimizations of the video parser.

------------------------------------------------------------------------
r611 | stef | 2001-01-21 10:20:27 +0100 (Sun, 21 Jan 2001) | 5 lines
Changed paths:
   M /trunk/src/input/dvd_css.c
   M /trunk/src/input/dvd_css.h
   M /trunk/src/input/input_dvd.c

*Some cleaning in the dvd authentification code

Now it generates a valid title key, but there is no sector descrambler
yet.

------------------------------------------------------------------------
r612 | stef | 2001-01-22 06:20:44 +0100 (Mon, 22 Jan 2001) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/src/input/dvd_css.c
   M /trunk/src/input/dvd_css.h
   M /trunk/src/input/input_dvd.c
   M /trunk/src/input/input_dvd.h

*Check for the needed headers for DVD ioctls

I have only tested it on my computer ; so I don't know if it work
elsewhere, particularly on BSD and BeOS.

------------------------------------------------------------------------
r613 | massiot | 2001-01-22 16:49:55 +0100 (Mon, 22 Jan 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in

* Tuned up optimization flags.

------------------------------------------------------------------------
r614 | massiot | 2001-01-22 19:04:10 +0100 (Mon, 22 Jan 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_ext-dec.c

* Minor bitstream optimization.

------------------------------------------------------------------------
r615 | massiot | 2001-01-22 20:40:54 +0100 (Mon, 22 Jan 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

* Tuned up optimizations.

------------------------------------------------------------------------
r616 | massiot | 2001-01-23 11:15:13 +0100 (Tue, 23 Jan 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

* Completely removed BIZARRE_OPTIMS.

------------------------------------------------------------------------
r617 | massiot | 2001-01-23 14:22:58 +0100 (Tue, 23 Jan 2001) | 3 lines
Changed paths:
   M /trunk/TODO
   M /trunk/plugins/x11/vout_x11.c

* Fixed backwards moves ;
* Updated TODO list.

------------------------------------------------------------------------
r618 | massiot | 2001-01-24 20:05:55 +0100 (Wed, 24 Jan 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/stream_control.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   A /trunk/src/input/input_clock.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_decoder/video_parser.h
   M /trunk/src/video_decoder/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

* Hooks for fast forward and slow motion support.

------------------------------------------------------------------------
r619 | sam | 2001-01-25 22:57:54 +0100 (Thu, 25 Jan 2001) | 3 lines
Changed paths:
   D /trunk/Makefile


 . removed Makefile -- I can't understand why it reappeared.

------------------------------------------------------------------------
r621 | massiot | 2001-01-26 15:47:16 +0100 (Fri, 26 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c

* Fix for field pictures.

------------------------------------------------------------------------
r622 | massiot | 2001-01-26 16:38:21 +0100 (Fri, 26 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_ext-dec.c

* Removed dead code.

------------------------------------------------------------------------
r625 | stef | 2001-01-29 07:10:10 +0100 (Mon, 29 Jan 2001) | 7 lines
Changed paths:
   M /trunk/src/input/dvd_css.c
   M /trunk/src/input/dvd_css.h
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input_dvd.c

-CSS support kludged for current DVD input.
It is very slow now but will be more adapted to the forthcoming DVD
input.
It should read the first title of many DVDs but has been tested with few.

-Beginning of ifo commands to implement DVD navigation.

------------------------------------------------------------------------
r626 | stef | 2001-01-29 07:28:19 +0100 (Mon, 29 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_dvd.c

* Correction of two errors.

------------------------------------------------------------------------
r627 | sam | 2001-01-30 06:48:23 +0100 (Tue, 30 Jan 2001) | 4 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input_dvd.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/main.c

 . not a very nice hack, but will probably spare us a few user complaints: if
  no -a option is specified, the vlc will play the first audio type it finds,
  so there is no need to specify "-a ac3" for a DVD anymore.

------------------------------------------------------------------------
r628 | massiot | 2001-01-30 20:19:02 +0100 (Tue, 30 Jan 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_dvd.c

* Fix for assholes who don't have a dvd players. :pppp

------------------------------------------------------------------------
r630 | sam | 2001-01-31 04:42:39 +0100 (Wed, 31 Jan 2001) | 17 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/vlc.1
   M /trunk/include/config.h.in
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/vlc.spec


 . version 0.2.50 for the Linux Expo
 . --overlay and --fulscreen options (only work with --vout sdl)
 . the vlc exits after the end of the stream, which prevents from having
   to kill it and relaunch it during a presentation, just script it like :

      for i in ~/mpeg/* ; do vlc --fullscreen --overlay --vout sdl $i ; done


 Yes, I know the --overlay stuff is fucking ugly. But *I* am not the one
  who redefines vout_sys_t in an interface-related source file. I won't
  change it until the vout/intf is finished being rewritten.

 Additional information: if "--overlay --fulscreen" doesn't center your
  picture, try with your screen geometry, eg:
  "--overlay --fullscreen --width 1024 --height 768"

------------------------------------------------------------------------
r631 | sam | 2001-02-04 04:06:30 +0100 (Sun, 04 Feb 2001) | 6 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/TODO
   D /trunk/src/video_output/video_yuv_mmx.S
   A /trunk/todo.pl


 . removed obsolete video_yuv_mmx.S
 . updated the TODO list and wrote a small todo.pl parser to make it
   easier to see which items remain to be done
 . `make snapshot' now creates vlc-*.tar.gz and vlc-*-nocss.tar.gz

------------------------------------------------------------------------
r632 | nitrox | 2001-02-05 16:50:57 +0100 (Mon, 05 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

. Mouse pointer hidden/shown with middle button in SDL output
. Default is shown.
. Default in fullscreen is hidden.

------------------------------------------------------------------------
r633 | sam | 2001-02-05 22:00:23 +0100 (Mon, 05 Feb 2001) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

 . disabled SDL parachute to let the vlc dump a core instead of staying stuck
 . patched 2 debian bugs
    (see http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=vlc)
 . improved the snapshot generation

------------------------------------------------------------------------
r634 | nitrox | 2001-02-06 01:56:55 +0100 (Tue, 06 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c

. Fixed a FIXME in SDL: p_vout->p_sys is no more used in intf_sdl.c
. Used instead p_vout->i_changes like in x11

------------------------------------------------------------------------
r635 | massiot | 2001-02-06 18:17:04 +0100 (Tue, 06 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_headers.c

Fixed a bug in period calculation for progressive sequences.

------------------------------------------------------------------------
r636 | massiot | 2001-02-07 16:32:26 +0100 (Wed, 07 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input.h
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_parser/video_parser.c

* Centralized clock management, preparing for stream navigation ;
* Fixed a bug in the management of the first video PTS.

------------------------------------------------------------------------
r637 | massiot | 2001-02-07 18:44:52 +0100 (Wed, 07 Feb 2001) | 4 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/include/stream_control.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   M /trunk/src/input/input_clock.c
   A /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/mpeg_system.c

* Functional fast forward and slow motion API ;
* Dirty hack in the SDL intf to bind "a" (fAst forward), "s" (Slow motion)
and "p" (Play).

------------------------------------------------------------------------
r638 | massiot | 2001-02-07 18:51:27 +0100 (Wed, 07 Feb 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

/me <- pogno who modifies Makefile instead of Makefile.in :p

------------------------------------------------------------------------
r639 | massiot | 2001-02-07 18:56:21 +0100 (Wed, 07 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_clock.c

Another mistake.

------------------------------------------------------------------------
r640 | reno | 2001-02-08 01:46:12 +0100 (Thu, 08 Feb 2001) | 4 lines
Changed paths:
   M /trunk/include/stream_control.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/input/input_ext-intf.c

We can now choose the speed of forward (between 32/1 and 1/8)

Thanks to Meuuh, he's MORTEL ;)

------------------------------------------------------------------------
r641 | reno | 2001-02-08 02:06:11 +0100 (Thu, 08 Feb 2001) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c

Cosmetics changes

------------------------------------------------------------------------
r642 | stef | 2001-02-08 02:34:42 +0100 (Thu, 08 Feb 2001) | 14 lines
Changed paths:
   M /trunk/src/input/css_table.h
   M /trunk/src/input/dvd_css.c
   M /trunk/src/input/dvd_css.h
   M /trunk/src/input/dvd_ifo.c
   M /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input_dvd.c
   M /trunk/src/input/input_dvd.h
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_netlist.h
   M /trunk/src/input/mpeg_system.c

-New method using netlist to read packets on DVD device by sectors of
2048 bytes.
-Some modifications in netlist to make it work with DVD.
-Fixed ?\239?\191?\189 bug in mpeg_system.c

We use INPUT_READ_ONCE many times in the input code. I think that
we should replace it with a field in input_thread_t to give more
flexibility to modules. I have done it in DVD plugin but it can't work
if input.c is limited by INPUT_READ_ONCE.

The DVD method is slower than input_ps ; but there are things to
improve.
CSS descrambling is broken.

------------------------------------------------------------------------
r643 | sam | 2001-02-08 05:43:28 +0100 (Thu, 08 Feb 2001) | 21 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   A /trunk/include/input.h
   M /trunk/include/input_ext-intf.h
   A /trunk/include/input_netlist.h
   A /trunk/include/intf_plst.h
   M /trunk/include/modules.h
   A /trunk/include/mpeg_system.h
   D /trunk/include/playlist.h
   A /trunk/plugins/dvd
   A /trunk/plugins/dvd/css_table.h
   A /trunk/plugins/dvd/dvd.c
   A /trunk/plugins/dvd/dvd_css.c
   A /trunk/plugins/dvd/dvd_css.h
   A /trunk/plugins/dvd/dvd_ifo.c
   A /trunk/plugins/dvd/dvd_ifo.h
   A /trunk/plugins/dvd/input_dvd.c
   A /trunk/plugins/dvd/input_dvd.h
   A /trunk/plugins/mpeg
   A /trunk/plugins/mpeg/input_ps.c
   A /trunk/plugins/mpeg/input_ps.h
   A /trunk/plugins/mpeg/input_ts.c
   A /trunk/plugins/mpeg/ps.c
   A /trunk/plugins/mpeg/ts.c
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/intf_sdl.c
   D /trunk/src/input/css_table.h
   D /trunk/src/input/dvd_css.c
   D /trunk/src/input/dvd_css.h
   D /trunk/src/input/dvd_ifo.c
   D /trunk/src/input/dvd_ifo.h
   M /trunk/src/input/input.c
   D /trunk/src/input/input.h
   D /trunk/src/input/input_netlist.h
   M /trunk/src/input/input_programs.c
   D /trunk/src/input/input_ps.c
   D /trunk/src/input/input_ps.h
   D /trunk/src/input/input_ts.c
   M /trunk/src/input/mpeg_system.c
   D /trunk/src/input/mpeg_system.h
   M /trunk/src/interface/interface.c
   A /trunk/src/interface/intf_plst.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   D /trunk/src/misc/playlist.c


   This commit is a bit early, but it'll save Stef, Henri and me much
 time later, when we don't have to backport modifications to input_*.c

   What's new :
    - playlist works again (still the old wrong way like Meuuh doesn't
    like, but this is going to change within a few hours)
    - input_ps, input_ts and input_dvd are now plugins, located in
    plugins/mpeg/ and plugins/dvd/

   What's broken :
    - audio output might be broken on some streams ; have to investigate

   What has changed :
    - fast/slow keys are now A/Z instead of A/S since S was already
    linked to the scale/noscale toggle.
    - `--dvd' doesn't work anymore, for the moment try to use :
     vlc --input dvd /dev/dvd
    - module bank is now less verbose ; use `--warn 1' to turn back
    verbosity on

------------------------------------------------------------------------
r644 | stef | 2001-02-08 07:41:56 +0100 (Thu, 08 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/input_dvd.c
   D /trunk/src/input/input_dvd.c
   D /trunk/src/input/input_dvd.h

-solved bug with cssdescrambling. The vlc might segfault with dvd
plugins. I will fix that soon.
-minor modification in pluginification.

------------------------------------------------------------------------
r645 | sam | 2001-02-08 08:24:25 +0100 (Thu, 08 Feb 2001) | 10 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/intf_plst.h
   M /trunk/include/modules.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_plst.c
   M /trunk/src/misc/plugins.c


 . moved the playlist handling from input/input.c to interface/interface.c
 . fixed a few warnings at compile-time
 . fixed sound channel selection in playlist mode
 . added a color message in the plugin bank because on peut bien d?\239?\191?\189conner
   cinq minutes, quand-m?\239?\191?\189me
 . we now spawn a new input thread for each file
 . added a missing pf_close() because it's always cool to close files
   after we read them

------------------------------------------------------------------------
r646 | stef | 2001-02-08 09:08:03 +0100 (Thu, 08 Feb 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c

*** empty log message ***

------------------------------------------------------------------------
r647 | massiot | 2001-02-08 12:22:41 +0100 (Thu, 08 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c

Fixed a compile probleme on machine without a dvd player :ppppp
Maybe it would be a good idea to compile the DVD plugin on machines which
have one ? :pppp

------------------------------------------------------------------------
r648 | massiot | 2001-02-08 14:08:03 +0100 (Thu, 08 Feb 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_ext-intf.c

* Pause function implemented ('p' key).

------------------------------------------------------------------------
r649 | massiot | 2001-02-08 14:52:35 +0100 (Thu, 08 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/modules.h
   M /trunk/include/stream_control.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

* Implemented basic stream navigation function, and bound Jump forward
  and jump Backward in the SDL intf. Enjoy !

------------------------------------------------------------------------
r650 | massiot | 2001-02-08 18:44:13 +0100 (Thu, 08 Feb 2001) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_parser/video_parser.c

* Portability : changed off64_t to off_t and activated appropriate
  GNU/Linux options ;
* Changed fseek() to fseeko() for 64-bit offsets ;
* Reset frame predictors on a stream discontinuity.

------------------------------------------------------------------------
r651 | sam | 2001-02-09 00:40:26 +0100 (Fri, 09 Feb 2001) | 5 lines
Changed paths:
   M /trunk/TODO
   M /trunk/include/intf_plst.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_plst.c
   M /trunk/src/interface/main.c


 . added comments to src/interface/intf_plst.c and include/intf_plst.h
   so that people understand how the playlist works.
 . updated the TODO list (34 items to do, 41 done !)

------------------------------------------------------------------------
r652 | stef | 2001-02-09 04:51:42 +0100 (Fri, 09 Feb 2001) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c

-Some functions to prepare ifo commands utilisation to move in the
structures of DVDs
-Change in configure to avoid compiling css functions on BSD.

------------------------------------------------------------------------
r653 | stef | 2001-02-09 19:34:01 +0100 (Fri, 09 Feb 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c

-Fixed a bug in #define that prevented from using ioctls

------------------------------------------------------------------------
r654 | sam | 2001-02-11 02:15:12 +0100 (Sun, 11 Feb 2001) | 37 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/include/interface.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   D /trunk/include/plugins.h
   M /trunk/include/video_output.h
   M /trunk/plugins/gnome/gnome.c
   A /trunk/plugins/gnome/gnome_callbacks.c
   A /trunk/plugins/gnome/gnome_callbacks.h
   A /trunk/plugins/gnome/gnome_interface.c
   A /trunk/plugins/gnome/gnome_interface.h
   A /trunk/plugins/gnome/gnome_support.c
   A /trunk/plugins/gnome/gnome_support.h
   A /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   D /trunk/plugins/gnome/intf_gnome.h
   D /trunk/plugins/gnome/intf_gnome_callbacks.c
   D /trunk/plugins/gnome/intf_gnome_callbacks.h
   D /trunk/plugins/gnome/intf_gnome_interface.c
   D /trunk/plugins/gnome/intf_gnome_interface.h
   D /trunk/plugins/gnome/intf_gnome_support.c
   D /trunk/plugins/gnome/intf_gnome_support.h
   D /trunk/plugins/gnome/intf_gnome_thread.h
   D /trunk/plugins/gnome/vout_gnome.c
   D /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/interface.c
   A /trunk/src/interface/intf_channels.c
   A /trunk/src/interface/intf_channels.h
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/intf_plst.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/modules.c
   D /trunk/src/misc/plugins.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


  Beginning of Interface II
 ---------------------------

 * Plugins have completely disappeared, we now only use the new module API.
 * All intf and vout modules are now independant. So far, only the Gnome
   intf module and the SDL vout module have been ported. configure.in has
   been modified to reflect the changes (x11 and dummy aren't compiled by
   default anymore, while SDL and Gnome are).

  Note that this is _not_ Interface II, it's just a step forward. For
  instance, it lacks the whole message passing scheme.

  Things that should work:

 * Right-clicking on the SDL video output window brings the Gnome menu.
 * Pause, Play, Exit, About work from the menu or from the interface window.
 * The old SDL keys still work.

   Things that are broken or may be broken:

 * Xlib calls are not locked yet, which may lead to "Unexpected async reply"
   errors, and make the vlc segfault.
 * Sound only works for the first file.
 * The SDL vout_sdl.c file is absolutely ugly and kludgey.
 * The vlc immediately quits when no filename is given as an argument. Not
   a real bug, but still annoying.
 * The Gnome menu does not work in fullscreen mode.

   Things that will come soon, maybe tomorrow:

 * Complete navigation buttons (fast forward, slow, etc.).
 * File/Open menu to add files to the playlist.
 * Return of the X11 video output for those of us who do not have SDL.
 * Textmode interface for those of us who do not have Gnome.
 * aout and vout autospawn (maybe).

------------------------------------------------------------------------
r655 | sam | 2001-02-12 01:20:37 +0100 (Mon, 12 Feb 2001) | 12 lines
Changed paths:
   M /trunk/AUTHORS
   A /trunk/plugins/gnome/.cvsignore
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   M /trunk/plugins/gnome/gnome_support.c
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   A /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/interface/interface.c
   M /trunk/src/video_output/video_output.c


 * The pure Gnome part of the Gnome interface has been rewritten from
   scratch, and the .glade file included as well. You can edit it by
   installing glade-gnome and doing `glade plugins/gnome/intf_gnome.glade',
   or directly by hand if you grok XML.
 * Files can now be loaded into vlc using the `Open' buttons. But for the
   moment you still have to launch vlc with at least one file, because it
   quits when the end of the playlist is reached.
 * Idle screen was disabled because it eats a lot of CPU and is mostly
   useless for the moment. And it gets activated when pause lasts for too
   long.

------------------------------------------------------------------------
r656 | sam | 2001-02-12 08:52:40 +0100 (Mon, 12 Feb 2001) | 10 lines
Changed paths:
   M /trunk/debian/vlc.1
   M /trunk/include/config.h.in
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/main.c


  * Fixed my old stupid bug that disabled sound after having played the
    first playlist item.
  * Added `Prev' and `Next' buttons to the interface, with the beginning of
    a playlist window (still empty).
  * Added `Slow' and `Fast' buttons to the interface and popup menu.

  Ok, I promise it's the last time I check bloat in, from now the interface
  commits will be much cleaner and actually fix things :)

------------------------------------------------------------------------
r657 | sam | 2001-02-12 10:39:15 +0100 (Mon, 12 Feb 2001) | 4 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/input_ext-intf.c


 . removed tests against i_rate and i_new_rate calculation from the
   plugins and hid this complexity into input_ext-intf.c

------------------------------------------------------------------------
r658 | stef | 2001-02-12 10:58:06 +0100 (Mon, 12 Feb 2001) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c

-Much cleaning in css code. It should work fine now.

Most of DVD with movie in title 1 should work.

To come : support for movie in other titles.

------------------------------------------------------------------------
r659 | massiot | 2001-02-12 11:46:26 +0100 (Mon, 12 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

* Fixed pause bug.

------------------------------------------------------------------------
r660 | massiot | 2001-02-12 12:22:31 +0100 (Mon, 12 Feb 2001) | 2 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/video_parser/vpar_synchro.c

* Tried to enhance picture dating on timebase discontinuities.

------------------------------------------------------------------------
r661 | massiot | 2001-02-12 14:20:15 +0100 (Mon, 12 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/src/input/input.c
   M /trunk/src/video_parser/vpar_synchro.c

* We can now seek at position 0 :p ;
* Fixed a typo in my previous commit.

------------------------------------------------------------------------
r662 | massiot | 2001-02-12 19:18:18 +0100 (Mon, 12 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

Removed enhancement because of an incompatibility with slow motion.

------------------------------------------------------------------------
r663 | sam | 2001-02-13 05:29:46 +0100 (Tue, 13 Feb 2001) | 11 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/vlc.1
   M /trunk/include/modules.h
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c


 * added --intf option to vlc
 * started cleaning vout_sdl.c
 * the dummy plugin works again
 * added a slider to the Gnome interface so that we can browse through streams

  There is a problem with the slider: we sometimes get unexpected async
  replies, which would mean that we don't properly lock our Xlib calls.
  Which is true. But we also get these errors when using `--vout dummy'.
  I'll investigate.

------------------------------------------------------------------------
r664 | sam | 2001-02-13 07:31:05 +0100 (Tue, 13 Feb 2001) | 6 lines
Changed paths:
   M /trunk/plugins/motion/vdec_motion_common.c


 * Quick patch to avoid a segfault when arbitrarily seeking the stream.

  Meuuh: you probably have a better solution for this ; I simply don't
  know the video decoder well enough to do it myself.

------------------------------------------------------------------------
r665 | stef | 2001-02-13 11:08:51 +0100 (Tue, 13 Feb 2001) | 15 lines
Changed paths:
   D /trunk/plugins/dvd/css_table.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c

-adaptation of DVD module to navigation slider. The seek has to be
done on a multiple of 2048, and shopuld take care of the offset to the
beginning of the stream. It works with most of my DVDs by fails to
detect size of some streams.

-change of the order of call to ifo and css functions in input_dvd.c,
because we can't read ifo files before authentification on some DVDs.

-changed location of some css tables.

-we read ifo date and decrypt css keys for all titles now. It takes quite a
long time to initialize with some DVDs (if you have 42 titles for
instance). The key decryption might give a false value if the title is
less than 10 Mb ; I'm working on that :)

------------------------------------------------------------------------
r666 | massiot | 2001-02-13 14:01:15 +0100 (Tue, 13 Feb 2001) | 2 lines
Changed paths:
   M /trunk/plugins/motion/vdec_motion_common.c
   M /trunk/src/video_decoder/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* Really fixed MC segfault bug.

------------------------------------------------------------------------
r667 | stef | 2001-02-14 05:11:01 +0100 (Wed, 14 Feb 2001) | 15 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h

-Changes in the way stream size in DVD mode is calculated. It is no
longer such an ugly kludge and is much more accurate.

-Changes in DVDSeek so that the interface slider is in 0 when we are at
the beginning of the strem.

-Try to detect the beginning of the movie in the middle of the title. It
works for most of the DVDs but will begin in the middle of the movie
with some others.

-Calculate only the first title key in css mode because it might take a
long time with some title. The search stops now when we have a key once
whereas it did stop only when we had it twice before. It should not
cause problems.

------------------------------------------------------------------------
r668 | sam | 2001-02-14 08:48:18 +0100 (Wed, 14 Feb 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/sdl/sdl.c
   D /trunk/plugins/x11/intf_x11.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/x11.c
   M /trunk/vlc.spec

 * updated version information to 0.2.60 -- today's release
 * started porting the X11 vout (still disabled)
 * a few unnoticeable changes in the Gnome intf

------------------------------------------------------------------------
r669 | sam | 2001-02-14 15:31:07 +0100 (Wed, 14 Feb 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.dep
   M /trunk/Makefile.in


 * Should have fixed the dependency generater for some plugins.

------------------------------------------------------------------------
r670 | henri | 2001-02-14 16:58:29 +0100 (Wed, 14 Feb 2001) | 16 lines
Changed paths:
   M /trunk/include/input_netlist.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_ts.c
   A /trunk/plugins/mpeg/input_ts.h
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/mpeg_system.c


Begining of TS Input

Done :
- fixed netlist
- embryo : support TS video trough file ( kludgy ... )

Next :
- Write DecodePSI and DemuxPSI, wich will clean the kludges off

Then :
- Write NetworkOpen ( shouldn't be difficult )

Eventually :
- Deal with lost/corrupt packets

------------------------------------------------------------------------
r671 | sam | 2001-02-15 04:01:20 +0100 (Thu, 15 Feb 2001) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c


 * X11 output works again. It's just the output, but it works; I now need
   to clean the code and add event handling.

------------------------------------------------------------------------
r672 | sam | 2001-02-15 08:59:38 +0100 (Thu, 15 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c

 * removed useless includes in intf_gnome.c
 * made the vout_sdl.c functions static
 * ported vout_x11.c to the modules API; code isn't very nice yet though

------------------------------------------------------------------------
r673 | stef | 2001-02-15 22:03:27 +0100 (Thu, 15 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   A /trunk/plugins/dvd/dvd_udf.c
   A /trunk/plugins/dvd/dvd_udf.h
   M /trunk/plugins/dvd/input_dvd.h

-New more recent css authentication code.

-Beginning of udf support (not in Makefile)

------------------------------------------------------------------------
r674 | sam | 2001-02-16 07:37:09 +0100 (Fri, 16 Feb 2001) | 14 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/sdl/vout_sdl.c
   A /trunk/plugins/text
   A /trunk/plugins/text/intf_ncurses.c
   A /trunk/plugins/text/ncurses.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/interface/interface.c


 * Fixed a segfault in the input thread creation, as well as a possible
   deadlock. This happened mostly when opening non-existing files.
 * Created input_SetStatus to do input_SetRate's job. input_SetRate will
   be used to set an arbitrary rate, for people who want to read DVDs at
   1/2.71828 times the actual speed.
 * Stubs for the ncurses control interface. No working code yet, but the
   holes just need to be filled.
 * Improved X11 support. Still not as functional as before.
 * The output window now states the method name, so that people know whether
   they are using X11 or SDL.
 * The Gnome interface is now drag'n'drop aware, you can drop a file
   on it just like Xine does (or so I guess).

------------------------------------------------------------------------
r675 | sam | 2001-02-16 10:25:04 +0100 (Fri, 16 Feb 2001) | 12 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/interface.c
   M /trunk/vlc.spec


 * Upgraded version number to 0.2.61. Release is today.

 * Fixed package building (both RPMs and .debs).
 * Fixed `make snapshot' rule.
 * Added some magic to filename detection. To read a DVD you now just
   need to run 'vlc dvd:/dev/hdc' for instance. Same for file:// URIs.
 * Fixed a segfault in the slider when no stream was playing.
 * Made the slider go from 0 to 100 (instead of 99 :)
 * The vlc now doesn't exit when finished playing. As a side effect of
   the playlist code being very recent, it continuously loops.

------------------------------------------------------------------------
r676 | sam | 2001-02-17 09:48:56 +0100 (Sat, 17 Feb 2001) | 11 lines
Changed paths:
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/misc/modules.c


 * Tried to fix the BeOS interface and video output. Any BeOS developers
   listening ? I can't even test that code, it probably wants additional
   fixing.
 * Added a workaround in modules.c for broken libc's which happen to truncate
   filenames in dentry structures when using 64bits offsets. The kind of
   stuff you only see in RedHats <g>.
 * Made the SDL error messages a bit more useful.
 * The Gnome menu is now created when mouse is released, not when it
   is pressed. It may sound stupid, but it really makes a difference.

------------------------------------------------------------------------
r677 | stef | 2001-02-18 02:42:05 +0100 (Sun, 18 Feb 2001) | 10 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/dvd_udf.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h

-UDF filesystem support so that we know the location of the first video
related file with 100% reliability (great change that should make DVDs
with binaries and extra stuff work with vlc).

-Correction of a bug in ifo reading that falsified the adress of
video titles.

-Changed the method for selecting title at start. It is _not_ reliable
though, but it is better than the preceding one.

------------------------------------------------------------------------
r678 | polux | 2001-02-18 04:32:02 +0100 (Sun, 18 Feb 2001) | 12 lines
Changed paths:
   M /trunk/Makefile.dep
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/beos_window.h
   M /trunk/include/modules_core.h
   M /trunk/include/tests.h
   M /trunk/include/threads.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/src/input/input.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_parser/video_parser.c


   The BeOS port seems to work again.

   I used this command to play an unencrypted DVD, but maybe there is a
   better solution: ./vlc dvd:/dev/disk/ide/atapi/1/master/0/raw

   Current problems: gcc doesn't like MMX-EXT instructions, and refuses
   to have register %ebx being used in the main application. Grr.

   ,-- don't trust the CVS bot, it's Sam speaking here :)
  /

------------------------------------------------------------------------
r679 | sam | 2001-02-18 11:24:20 +0100 (Sun, 18 Feb 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/plugins/fb/fb.c
   D /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/src/video_output/video_output.c


 * Ported the framebuffer plugin to the new module API. As for most of the
   other video output modules, keyboard doesn't work. Except ^C to quit.

------------------------------------------------------------------------
r680 | sam | 2001-02-18 20:14:27 +0100 (Sun, 18 Feb 2001) | 12 lines
Changed paths:
   A /trunk/CONTRIBUTORS
   M /trunk/Makefile.in
   M /trunk/configure.in
   M /trunk/plugins/ggi/ggi.c
   D /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade


  * configure.in and Makefile.in patches for better SDL support and
    support for $(bindir) $(datadir) and $(libdir) stuff, courtesy
    of Arkadiusz Miskiewicz <misiek@pld.ORG.PL>
  * Ported ggi.so to the new modules API. As for the other modules, only
    the "q" key works. Moreover, VLC doesn't exit cleanly if you close the
    GGI window.
  * Deactivated non-working widgets in the Gnome interface.
  * Added CONTRIBUTORS file.

  Hint of the day: don't expect to code quite long in your bed when sleepy.

------------------------------------------------------------------------
r681 | stef | 2001-02-19 04:12:26 +0100 (Mon, 19 Feb 2001) | 8 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h

-Change in the code to detect beginning of movie. It is much better now
but still fails with some DVD for which the movie is not the first
Program.

As a consequence some DVD that worked before don't work anymore.

-Beginning of ideas to handle chapters and ES selection

------------------------------------------------------------------------
r682 | sam | 2001-02-19 04:46:27 +0100 (Mon, 19 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/beos_window.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp


  * Drag and drop support under BeOS.

------------------------------------------------------------------------
r683 | reno | 2001-02-19 09:02:33 +0100 (Mon, 19 Feb 2001) | 3 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c

* Add dither fix
* Some cosmetic changes

------------------------------------------------------------------------
r684 | massiot | 2001-02-19 20:08:59 +0100 (Mon, 19 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/motion/vdec_motion_common.c
   M /trunk/src/input/input.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* mux_rate parsing ;
* Changed video decoder's error messages into warnings.

------------------------------------------------------------------------
r685 | massiot | 2001-02-19 20:28:33 +0100 (Mon, 19 Feb 2001) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c

* Kludge of the kludge, removing an oddity in YUV initialisation, and
activating YUV overlay on startup whenever hardware acceleration is
available. Thanks for bearing with us, stay tuned.

------------------------------------------------------------------------
r686 | stef | 2001-02-20 03:53:13 +0100 (Tue, 20 Feb 2001) | 10 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/modules.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c


 First serie of changes in DVD module for the forthcoming interface menus
 There is a new capability in input type modules for setting the
attributes of a new area. It is set to NULL for PS and TS plugins.
 It should be called for every title change, chapter change,
audio mode change or spu channel change.

But this part of code is not used at the moment, and is not completed
yet.

------------------------------------------------------------------------
r687 | stef | 2001-02-20 03:56:50 +0100 (Tue, 20 Feb 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c

Removed flooding debug info :)

------------------------------------------------------------------------
r688 | sam | 2001-02-20 08:49:13 +0100 (Tue, 20 Feb 2001) | 15 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/CONTRIBUTORS
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/debian/vlc.docs
   M /trunk/include/modules_inner.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   A /trunk/plugins/dvd/dvd_ioctl.c
   A /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/glide.c
   D /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   D /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/mga/vout_mga.h
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/ps.c
   M /trunk/plugins/mpeg/ts.c
   M /trunk/plugins/null/null.c
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/text/intf_ncurses.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuv/yuvmmx.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c


  * Ported Glide and MGA plugins to the new module API. MGA never worked,
    so this didn't make it work better.
  * Started thinking about built-in modules, and added some code to
    make it easier eventually.
  * Added Oct in the AUTHORS file.
  * Fixed a mistake in configure.in.
  * All your base are belong to us.
  * Fixed a bug in src/misc/modules which prevented loading modules
    when launched from the Tracker.
  * Fixed a similar bug in src/video_output/video_text.c.
  * BeOS CSS support, thanks to Markus Kuespert <ltlBeBoy@beosmail.com>
    who ported the Linux DVD ioctls. We can now read encrypted DVDs
    under BeOS ! Woohoo.

------------------------------------------------------------------------
r689 | stef | 2001-02-20 09:47:25 +0100 (Tue, 20 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c

Second step in area management ; everything is in place now to have
title handling; it is coming :)

------------------------------------------------------------------------
r690 | sam | 2001-02-20 10:10:36 +0100 (Tue, 20 Feb 2001) | 7 lines
Changed paths:
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/src/input/input.c


 * Fixed a segfault in input.c when no input plugin was found for
   a given file.
 * Fixed a deadlock in the Gnome interface. Next time I'll initialize
   my mutexes, I promise.
 * Added Oct to the authors list in intf_gnome.glade :)

------------------------------------------------------------------------
r691 | sam | 2001-02-20 12:34:01 +0100 (Tue, 20 Feb 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

 * Fixed a bash-ism in configure.in

------------------------------------------------------------------------
r692 | reno | 2001-02-20 13:06:28 +0100 (Tue, 20 Feb 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   A /trunk/src/ac3_decoder/ac3_downmix.h
   A /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c

* Move ac3 globals variables into structures
* Adding authors
* Prepared to add asm imdct and downmix

------------------------------------------------------------------------
r693 | massiot | 2001-02-20 14:41:01 +0100 (Tue, 20 Feb 2001) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

On machines without dvd ioctl, remove the DVD plugin from the Makefile,
fucking holy piece of *?\239?\191?\189$^%?\239?\191?\189 !

------------------------------------------------------------------------
r694 | massiot | 2001-02-20 16:03:00 +0100 (Tue, 20 Feb 2001) | 2 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/plugins/motion/vdec_motion_common.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c

Minor optimizations in the video decoder.

------------------------------------------------------------------------
r695 | polux | 2001-02-20 18:08:02 +0100 (Tue, 20 Feb 2001) | 2 lines
Changed paths:
   M /trunk/include/threads.h

Added the BeOS code for vlc_mutex_destroy() and vlc_cond_destroy()

------------------------------------------------------------------------
r696 | sam | 2001-02-21 00:30:15 +0100 (Wed, 21 Feb 2001) | 7 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/include/tests.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/intf_gnome.c


 * Updated version number to 0.2.62. Release tonight.

 * DVD plugin is still non-functional when you don't have DVD ioctls,
   but at least it compiles under BeOS as well.
 * Minor cosmetic changes here and there.

------------------------------------------------------------------------
r697 | sam | 2001-02-21 01:47:49 +0100 (Wed, 21 Feb 2001) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/vlc.spec


  * Forgot to fix the vlc.spec.
  * Added Bozo to the author list.

------------------------------------------------------------------------
r698 | henri | 2001-02-21 05:38:59 +0100 (Wed, 21 Feb 2001) | 13 lines
Changed paths:
   M /trunk/include/mpeg_system.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/input_ts.h
   M /trunk/src/input/mpeg_system.c


TS Input :
- Added DemuxPSI, DecodePAT and DecodePMT. Never tested which streams
  where PAT or PMT are splitted in more than one section.
- Some TS files still don't work (matrix.ts i.e : no sound ),
  others do ... i'll have to investigate.

Todo :
- What if data get unaligned ?
- Write NetworkOpen
- Try to find why I get no sound on matrix.ts
- Support Stream and program selection.

------------------------------------------------------------------------
r699 | sam | 2001-02-21 12:49:18 +0100 (Wed, 21 Feb 2001) | 9 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   A /trunk/plugins/gtk
   A /trunk/plugins/gtk/.cvsignore
   A /trunk/plugins/gtk/gtk.c
   A /trunk/plugins/gtk/gtk.o
   A /trunk/plugins/gtk/gtk_callbacks.c
   A /trunk/plugins/gtk/gtk_callbacks.h
   A /trunk/plugins/gtk/gtk_callbacks.o
   A /trunk/plugins/gtk/gtk_interface.c
   A /trunk/plugins/gtk/gtk_interface.h
   A /trunk/plugins/gtk/gtk_interface.o
   A /trunk/plugins/gtk/gtk_support.c
   A /trunk/plugins/gtk/gtk_support.h
   A /trunk/plugins/gtk/gtk_support.o
   A /trunk/plugins/gtk/gtk_sys.h
   A /trunk/plugins/gtk/intf_gtk.c
   A /trunk/plugins/gtk/intf_gtk.glade
   A /trunk/plugins/gtk/intf_gtk.o


  (note: empty CVS mails mean that a new directory has been created,
   don't forget to use the -p option if you cvs update)

  * Added a plain Gtk+ port of the Gnome interface, for the gnome-impaired
    people. Gtk+ is now compiled by default, while Gnome isn't (you will
    have to add --enable-gnome when running configure)
  * Replaced -lcurses with -lncurses in configure.in.

------------------------------------------------------------------------
r700 | sam | 2001-02-21 12:53:30 +0100 (Wed, 21 Feb 2001) | 4 lines
Changed paths:
   D /trunk/plugins/gtk/gtk.o
   D /trunk/plugins/gtk/gtk_callbacks.o
   D /trunk/plugins/gtk/gtk_interface.o
   D /trunk/plugins/gtk/gtk_support.o
   D /trunk/plugins/gtk/intf_gtk.o


   Hrm. Some strange phenomenon known as sleepiness made me commit a
   bunch of .o's. Blame me.

------------------------------------------------------------------------
r701 | polux | 2001-02-21 16:52:40 +0100 (Wed, 21 Feb 2001) | 6 lines
Changed paths:
   M /trunk/include/beos_window.h
   M /trunk/plugins/beos/vout_beos.cpp

Some changes in the BeOS video output :
- New video output method, the vlc now uses BBitmap instead of
  BDirectWindow (better performances)
- Added resizing
- Added beta support for overlay

------------------------------------------------------------------------
r702 | reno | 2001-02-22 06:31:55 +0100 (Thu, 22 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c

* Fix bug in ac3dec for mono streams

------------------------------------------------------------------------
r703 | stef | 2001-02-22 09:44:45 +0100 (Thu, 22 Feb 2001) | 8 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/main.c

-New ES detection based on .ifo for DVD module. It might fail (I have
found one DVD for which ifo seems false).

-Title and chapter selection on the command line (see -t and -T options)
It will allow to watch some DVD that went through menus by default.

-beginning of menus in gnome interface.

------------------------------------------------------------------------
r704 | stef | 2001-02-22 09:59:54 +0100 (Thu, 22 Feb 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c

I have polioted once more with a bad file in the commit. It should work
better now. :p

------------------------------------------------------------------------
r705 | massiot | 2001-02-22 17:17:12 +0100 (Thu, 22 Feb 2001) | 3 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/keystrokes.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/interface.c

* Added a 'd' keystroke to dump the stream contents (for debugging
purposes).

------------------------------------------------------------------------
r706 | massiot | 2001-02-22 18:00:20 +0100 (Thu, 22 Feb 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c

* Added functions and hooks to display dates instead of off_t.

------------------------------------------------------------------------
r707 | massiot | 2001-02-23 13:37:31 +0100 (Fri, 23 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

* Fixed a compile problem in debug mode.

------------------------------------------------------------------------
r708 | massiot | 2001-02-23 14:22:58 +0100 (Fri, 23 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

* Added debug messages.

------------------------------------------------------------------------
r709 | massiot | 2001-02-23 15:07:25 +0100 (Fri, 23 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/video_fifo.h
   M /trunk/src/video_parser/vpar_blocks.c

* Fixed a structural major bug in the macroblock structure management.

------------------------------------------------------------------------
r710 | massiot | 2001-02-23 18:58:22 +0100 (Fri, 23 Feb 2001) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c

* Disabled slice-level resynchro since it's probably buggy.

------------------------------------------------------------------------
r711 | sam | 2001-02-26 13:16:29 +0100 (Mon, 26 Feb 2001) | 10 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/debian/control
   M /trunk/debian/rules
   D /trunk/debian/vlc-gnome.menu
   A /trunk/debian/vlc-gtk.menu
   M /trunk/debian/vlc.copyright
   D /trunk/include/beos_window.h
   M /trunk/include/intf_msg.h
   D /trunk/include/video_graphics.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   A /trunk/plugins/beos/window.h
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_text.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h


  * The Gtk+ interface is now built as a Debian package as well. The Gnome
    package depends on it because of the icon and menu entry.
  * Added an intf_WarnHexDump() function to do raw hexadecimal dumps of
    memory areas. For debugging purposes or for real men, as you wish.
  * Lots of tidying in dvd_ioctl.c, a few comments added.
  * Better error handling in the subpicture decoder.
  * Tidied video_spu.c. More to come later.
  * Fixed subtitle displaying. Will soon work in overlay mode as well.

------------------------------------------------------------------------
r712 | sam | 2001-02-26 18:41:11 +0100 (Mon, 26 Feb 2001) | 5 lines
Changed paths:
   M /trunk/src/interface/main.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_output/video_spu.c


  * Optimizations done to the SPU decoder. Now the RLE is expanded at
    decoding time, not rendering time. The main loop in vout_RenderSPU
    is now 20 lines long.

------------------------------------------------------------------------
r713 | sam | 2001-02-28 06:20:02 +0100 (Wed, 28 Feb 2001) | 5 lines
Changed paths:
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_output/video_spu.c


  * Additional optimizations to the subtitle decoder
  * The GGI video output should now be faster. Also, right-mouse-clicking
    works in GGI mode as well.

------------------------------------------------------------------------
r714 | reno | 2001-03-02 03:49:11 +0100 (Fri, 02 Mar 2001) | 2 lines
Changed paths:
   A /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_internal.h

* Bug fix with frequential downmix

------------------------------------------------------------------------
r715 | stef | 2001-03-02 04:32:46 +0100 (Fri, 02 Mar 2001) | 18 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   A /trunk/plugins/dvd/dvd_netlist.c
   A /trunk/plugins/dvd/dvd_netlist.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/src/input/input.c
   M /trunk/src/input/mpeg_system.c

-New function for DVD reading, that is able to read multiple blocks
(I've chosen 32 now), that doesn't use any memcpy anymore and is also much
faster. It is ready now for cell positioning in multi-angle DVD (to come
soon).

-DVD specific netlist adapted to 2048 bytes long blocks that contain
several data_packets.

-Modification in mpeg_system.c to use p_payload_start instead of
p_buffer (necessary for DVD plugin). It does not break other plugins
since they set p_payload_start to p_buffer

-New field i_read_once in input_thread_s to be able to read more than
the TS related 7 packets ; i_read_once is set to INPUT_READ_ONCE by
defaults but plugins can change it during initialisation.

Please check that nothing is broken :)

------------------------------------------------------------------------
r716 | massiot | 2001-03-02 14:20:29 +0100 (Fri, 02 Mar 2001) | 7 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/video_output.h
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c

* Fixed miscellaneous alignment problems (alpha/sparc ports) ;
* Added a fps display when toggling 'i' ;
* Fixed a bug in the video parser where one picture buffer was not
released at quit time ;
* Broke the mux_rate calculation, but hey guys ! it was already broken and
nobody noticed it.

------------------------------------------------------------------------
r717 | sam | 2001-03-02 14:47:01 +0100 (Fri, 02 Mar 2001) | 6 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_css.c
   A /trunk/plugins/dvd/dvd_csstables.h
   M /trunk/plugins/dvd/input_dvd.c


  * Changed debian/control to fix Debian bug #83707
  * Added a --disable-css configure option
  * Moved some code here and there in the DVD plugin to make it easier
    for me to build the Debian CSS-free packages.

------------------------------------------------------------------------
r718 | massiot | 2001-03-02 14:49:37 +0100 (Fri, 02 Mar 2001) | 3 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input_programs.c

* Made input_SelectES() and input_UnselectES() not block the input thread
for a long time.

------------------------------------------------------------------------
r719 | massiot | 2001-03-02 16:51:22 +0100 (Fri, 02 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input_programs.c

* More consistency in the p_input->stream management.

------------------------------------------------------------------------
r720 | reno | 2001-03-02 17:46:57 +0100 (Fri, 02 Mar 2001) | 2 lines
Changed paths:
   D /trunk/plugins/sdl/intf_sdl.c

Remove an unused file reintroduce after my last commit

------------------------------------------------------------------------
r721 | stef | 2001-03-03 08:07:01 +0100 (Sat, 03 Mar 2001) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/dvd_netlist.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h

-completely changed title and chapter initialization. Now we have real
title units.

-Fixed size for a majority of DVD.

------------------------------------------------------------------------
r722 | sam | 2001-03-03 12:01:07 +0100 (Sat, 03 Mar 2001) | 7 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   A /trunk/debian/changelog-css
   A /trunk/debian/control-css
   M /trunk/debian/rules
   A /trunk/debian/rules-css
   M /trunk/debian/vlc-gtk.menu
   M /trunk/debian/vlc.1
   M /trunk/debian/vlc.menu
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/input_dvd.c
   A /trunk/share/gvlc.xpm
   A /trunk/share/vlc.xpm
   M /trunk/src/interface/main.c


  * Added debian/* files to help generating CSS-enabled non-US packages,
    and changed plugins/dvd/* to reflect this change.
  * Added .xpm icons (fixes lintian warnings).
  * --help output and manpage are now in sync (Closes Debian bug #87478).
  * Fixed Build-dpends entry in debian/control (Closes Debian bug #83707).

------------------------------------------------------------------------
r723 | sam | 2001-03-04 04:12:00 +0100 (Sun, 04 Mar 2001) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_sys.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade


  * Added DVD/VCD button and menu for quick DVD device selection to the
    Gnome and Gtk+ interfaces, so that vlc can play a DVD even when
    launched from a GUI.

------------------------------------------------------------------------
r724 | stef | 2001-03-04 14:54:26 +0100 (Sun, 04 Mar 2001) | 9 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h

-Fixed bugs in title/chapter handling once more, especially for size
detection and location of main movie.

-Support for multitrack DVD : now the stream is given to input as it has
to be ; however, all the tracks are displayed one after the other ; I
think we need to decode navigation ES to choose the track

-Fixed behaviour at end of device.

------------------------------------------------------------------------
r725 | sam | 2001-03-04 17:20:16 +0100 (Sun, 04 Mar 2001) | 18 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/include/video_output.h
   A /trunk/plugins/beos/Bitmaps.h
   A /trunk/plugins/beos/DrawingTidbits.cpp
   A /trunk/plugins/beos/DrawingTidbits.h
   A /trunk/plugins/beos/InterfaceWindow.h
   A /trunk/plugins/beos/MsgVals.h
   A /trunk/plugins/beos/TransportButton.cpp
   A /trunk/plugins/beos/TransportButton.h
   A /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   D /trunk/plugins/beos/window.h
   M /trunk/plugins/yuv/transforms_yuv.c
   M /trunk/plugins/yuv/transforms_yuvmmx.c
   M /trunk/plugins/yuv/transforms_yuvmmx.h
   M /trunk/plugins/yuv/video_common.h
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c


   Commited BeOS changes by Richard Shepherd and Tony Castley.

   include/video_output.h
    * Added boolean_t b_YCbr to vout_thread_s structure to flag YUV-YCbCr
      decoding needed instead of YUV-RGB
    * Will be removed later when video_output.c rewritten

   src/video_output.c
    * vout_CreateThread() initialises b_YCbr to zero

   plugins/beos/*
    * New BeOS video plugin that supports hardware overlays and new
      MediaPlayer compatible interface

   plugins/*
    * Added YUV-YCbCr transforms

------------------------------------------------------------------------
r726 | stef | 2001-03-05 01:40:06 +0100 (Mon, 05 Mar 2001) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c

-Fixed a bug in audio selection

-Tried to fix an issue in size computing. I don't know if this works since
I haven't buggy DVDs

------------------------------------------------------------------------
r727 | sam | 2001-03-05 02:29:25 +0100 (Mon, 05 Mar 2001) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   D /trunk/CONTRIBUTORS
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/debian/vlc.docs
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/vlc.spec


  * Everything in place for the 0.2.63 release.

  * Got rid of the CONTRIBUTORS list, and switched AUTHORS to a
    linux-kernel like author list.
  * Updated TODO list.
  * Fixed a segfault in the BeOS interface when --noaudio was specified.
  * Title and Chapter selection in the Gnome and Gtk+ interfaces.

------------------------------------------------------------------------
r728 | sam | 2001-03-05 12:53:44 +0100 (Mon, 05 Mar 2001) | 4 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/rules
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/mpeg/input_ts.c


  * fixed headers for FreeBSD compilation.
  * fixed debian/rules for non-x86 packages (Closes: Debian bug #88583).

------------------------------------------------------------------------
r729 | richards | 2001-03-05 14:28:47 +0100 (Mon, 05 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/beos/Bitmaps.h
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/beos/TransportButton.cpp
   M /trunk/plugins/beos/TransportButton.h
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

Added names to headers
Delete BBitmap[0] directly after overlay creation as no longer needed as overlay now owns Bits()

------------------------------------------------------------------------
r730 | massiot | 2001-03-05 17:00:30 +0100 (Mon, 05 Mar 2001) | 3 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

Fixed MPEG-1 mux_rate parsing.
Fixed MPEG-1 stuffing.

------------------------------------------------------------------------
r731 | richards | 2001-03-05 21:36:04 +0100 (Mon, 05 Mar 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/beos/Bitmaps.h
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

*** empty log message ***

------------------------------------------------------------------------
r732 | richards | 2001-03-05 23:29:02 +0100 (Mon, 05 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

*** empty log message ***

------------------------------------------------------------------------
r733 | richards | 2001-03-05 23:47:22 +0100 (Mon, 05 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

*** empty log message ***

------------------------------------------------------------------------
r734 | richards | 2001-03-06 02:26:06 +0100 (Tue, 06 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

More changes to interface

------------------------------------------------------------------------
r735 | massiot | 2001-03-06 11:21:59 +0100 (Tue, 06 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/input_dvd.c

* It now compiles under FreeBSD (though DeCSS stuff probably doesn't
work).

------------------------------------------------------------------------
r736 | massiot | 2001-03-06 16:16:42 +0100 (Tue, 06 Mar 2001) | 3 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/video_decoder/vpar_synchro.h

* Fixed a boolean_t/int mix.
* Increased FIFO_SIZE.

------------------------------------------------------------------------
r737 | massiot | 2001-03-06 18:39:03 +0100 (Tue, 06 Mar 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_ext-dec.c

* Fixed an alignment problem on startup.

------------------------------------------------------------------------
r738 | massiot | 2001-03-06 18:54:48 +0100 (Tue, 06 Mar 2001) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

* Fixed an alignment problem in PTS parsing.

------------------------------------------------------------------------
r739 | massiot | 2001-03-06 20:33:58 +0100 (Tue, 06 Mar 2001) | 2 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_ext-dec.c

* Fixed an alignment problem in UnalignedShowBits().

------------------------------------------------------------------------
r740 | richards | 2001-03-06 20:52:03 +0100 (Tue, 06 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

Added DVD device selection from interface menu

------------------------------------------------------------------------
r741 | henri | 2001-03-07 01:18:46 +0100 (Wed, 07 Mar 2001) | 22 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input.c
   M /trunk/src/input/mpeg_system.c


- Fixed TS input ( a nasty dead lock had appeared 4 days ago )
- Added base of network support

Things to be done :
- Meuuh : fix the PCR synchronisation so that we can set b_pace_cntrol to 0
- Sam : find a way of specifing the type of media (file, net). For the
moment, the "--input ts" always call input_NetworkOpen
- Maybe sam : for the moment the working syntax is vlc --input ts
servername, it should nbe turned into "vlc --server servername".

Things that don't work (i'll work on this this week end) :
- stopping and retaking a stream
- a nice 'waiting for stream'
- we select all incoming streams. we should be able to select.

Things that haven't been tested :
- broadcast
- only tested with one stream.

Kick me if something is broken by my fault.

------------------------------------------------------------------------
r742 | sam | 2001-03-07 02:36:41 +0100 (Wed, 07 Mar 2001) | 4 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input.c


  * Disabled network input under BeOS so that it compiles again. We'll
    have to wait for BONE anyway.

------------------------------------------------------------------------
r743 | stef | 2001-03-07 03:16:03 +0100 (Wed, 07 Mar 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.in

-Added `glib-config --libs glib` for interface compilation
for debian/sid users

------------------------------------------------------------------------
r744 | stef | 2001-03-07 11:31:10 +0100 (Wed, 07 Mar 2001) | 7 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/include/modules.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_sys.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c

-Working menus for run-time audio/spu/title/chapter selection with gtk
interface.

It is a bit buggy yet, and some pieces of code need to change,
especially to handle better menus change when title change but it
eventually works.

------------------------------------------------------------------------
r745 | stef | 2001-03-07 12:56:33 +0100 (Wed, 07 Mar 2001) | 8 lines
Changed paths:
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/intf_gtk.c

Port of the interface menus to gnome plugin.

Note that two sorts of navigation menus are implemented : in the
menubar, one menu for title and one the chapter in current title ; and
in the popup, a cascaded version with all chapters for all menus.

The same issues as gtk plugin apply.

------------------------------------------------------------------------
r746 | richards | 2001-03-07 17:32:59 +0100 (Wed, 07 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/intf_beos.cpp

"File|Open DVD" menu now refreshed each time menu selected rather than statically built at execute time.

------------------------------------------------------------------------
r747 | octplane | 2001-03-08 14:32:55 +0100 (Thu, 08 Mar 2001) | 17 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/include/intf_plst.h
   A /trunk/include/intf_urldecode.h
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   A /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_sys.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/src/interface/intf_plst.c
   A /trunk/src/interface/intf_urldecode.c

Hurg !
###code is dirty###
Please clean it for me :P
(or at least, tell me how to clean it)

. Slightly modified playlist base interface
  (Added a function to jump directly to an item, used for double clicking)

. Added manymanycallbacks
. Added the playlist dialog
. Added Dnd support for intf_window and the clist1
  . support URI and plain file(s)/folder(s)
. Added "show/hide main window" menuitem in intf_popup
. Added bugs :P

Enjoy and please bug report.

------------------------------------------------------------------------
r748 | octplane | 2001-03-08 16:48:14 +0100 (Thu, 08 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade

.Added crop and invert selection.
.Fixed a potential segfault.

------------------------------------------------------------------------
r749 | octplane | 2001-03-08 22:47:02 +0100 (Thu, 08 Mar 2001) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade

. cosmetic variable name changes
. drop in the 'blank' part of the list in the playlist adds at the end of the list
. drop on the main window adds at the end of the playlist

------------------------------------------------------------------------
r750 | octplane | 2001-03-08 22:58:59 +0100 (Thu, 08 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/intf_gtk.glade

. Hey! table header (Dnd still a little buggy :/)

------------------------------------------------------------------------
r751 | octplane | 2001-03-09 20:38:47 +0100 (Fri, 09 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_sys.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/plugins/sdl/vout_sdl.c

.nicer drop

------------------------------------------------------------------------
r752 | henri | 2001-03-10 12:23:10 +0100 (Sat, 10 Mar 2001) | 3 lines
Changed paths:
   M /trunk/src/input/input_netlist.c


Small optim.

------------------------------------------------------------------------
r753 | henri | 2001-03-11 20:00:18 +0100 (Sun, 11 Mar 2001) | 6 lines
Changed paths:
   M /trunk/include/netutils.h
   M /trunk/src/input/input.c
   M /trunk/src/misc/netutils.c


- Moved 2 local network functions
- Removed old code
- Broadcast should work. I'm not detecting broadcast address, i'm
binding 0.0.0.0

------------------------------------------------------------------------
r754 | reno | 2001-03-13 22:22:41 +0100 (Tue, 13 Mar 2001) | 3 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c


* Fixing of PowerPC bug ( I hope :) )

------------------------------------------------------------------------
r755 | massiot | 2001-03-14 01:40:24 +0100 (Wed, 14 Mar 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_clock.c

* Tried to fix the "stream jumps at will" bug.

------------------------------------------------------------------------
r756 | octplane | 2001-03-14 20:55:51 +0100 (Wed, 14 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_playlist.c

misc code clean-up

------------------------------------------------------------------------
r757 | stef | 2001-03-15 01:37:04 +0100 (Thu, 15 Mar 2001) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/mpeg_system.c

-Fixed most of the bugs in gnome interface menus

-Added radio checks in menu items.

There are still issues with default selected item but it works well.

------------------------------------------------------------------------
r758 | sam | 2001-03-15 02:42:20 +0100 (Thu, 15 Mar 2001) | 37 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/debian/control
   M /trunk/debian/control-css
   M /trunk/debian/rules
   D /trunk/debian/vlc.1
   D /trunk/doc/bugs
   D /trunk/doc/headers
   D /trunk/doc/portage
   D /trunk/doc/vlan-server
   A /trunk/doc/vlc.1
   A /trunk/include/intf_playlist.h
   D /trunk/include/intf_plst.h
   M /trunk/include/netutils.h
   M /trunk/include/tests.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   D /trunk/plugins/gnome/gnome_sys.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   A /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_playlist.c
   D /trunk/plugins/gtk/gtk_sys.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   A /trunk/plugins/gtk/intf_gtk.h
   M /trunk/plugins/mpeg/input_ps.c
   A /trunk/plugins/qt
   A /trunk/plugins/qt/.cvsignore
   A /trunk/plugins/qt/intf_qt.cpp
   A /trunk/plugins/qt/qt.cpp
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   A /trunk/src/interface/intf_playlist.c
   D /trunk/src/interface/intf_plst.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


  * Bug fixes and enhancements in the Gtk+/Gnome interfaces.

   o the slider should behave correctly and stop jumping here and
     there (this bug is _not_ related to Stef's similar bug)
   o added an "open network" menu (useless since the input doesn't
     handle it properly yet)
   o tried to reorganize gnome_callbacks.c and gtk_callbacks.c
   o stream date is now displayed instead of percentage
   o renamed gnome_sys.h to intf_gnome.h, and gtk_sys.h to intf_gtk.h

  * Changed documentation and package creation files.

   o added versioned conflicts/replaces to vlc-gtk (Closes Debian bug #88796)
   o removed useless or outdated documentation from doc/*
   o moved vlc.1 manpage from debian/vlc.1 to doc/vlc.1

  * Added basic Qt interface.

   o working features: slide bar, open file, toolbar, popup menu
   o added "qvlc" alias, equivalent to "vlc -I qt"
   o known issues : no "open disc" or "open network" menus yet
                    the IntfWindow class is never cleaned on destruction
                    the popup menu always pop at the middle of the screen

  * Misc fixes/updates.

   o renamed netutils.h functions from input_* to network_*
   o renamed *plst* files and functions to *playlist* (it was stupid
     from me to name them "plst")
   o made a few input error messages more meaningful
   o added -I, -A and -V short flags, corresponding to --intf, --audio
     and --video

    I got a lot of conflicts on this commit, lart me if I forgot a
  file or made old bugs reappear.

------------------------------------------------------------------------
r759 | stef | 2001-03-15 17:29:47 +0100 (Thu, 15 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/intf_gnome.c

Maybe solved the jump-at-will bug after random seek.

------------------------------------------------------------------------
r760 | massiot | 2001-03-16 23:37:06 +0100 (Fri, 16 Mar 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/config.guess
   M /trunk/config.sub
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/modules_core.h
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/src/interface/intf_urldecode.c

* Borrowed config.guess and config.sub from SDL [MacOS X port] ;
* Changed files so that the MacOS X port compiles & runs [MacOS X port] ;
* If SDL/GTK/DSP is not available, don't compile the associated module.

------------------------------------------------------------------------
r761 | richards | 2001-03-17 20:33:22 +0100 (Sat, 17 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

Some rather boring changes to keep the CVS tree up to date with my (working) build

------------------------------------------------------------------------
r762 | stef | 2001-03-17 23:52:00 +0100 (Sat, 17 Mar 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

-Added dsp plugin compilation (/dev/dsp is not a regular file :))

------------------------------------------------------------------------
r763 | sam | 2001-03-18 01:01:13 +0100 (Sun, 18 Mar 2001) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/modules_inner.h
   A /trunk/plugins/darwin
   A /trunk/plugins/darwin/aout_darwin.c
   A /trunk/plugins/darwin/darwin.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/intf_gtk.glade
   A /trunk/plugins/macosx
   A /trunk/plugins/macosx/intf_macosx.c
   A /trunk/plugins/macosx/macosx.c
   A /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/qt/intf_qt.cpp


  * Function prototypes for the forthcoming Darwin and MacOS X port.
  * Gtk+ interface: fixed a precision issue in the scale.
  * Qt interface: somebody pop up us the menu!!

------------------------------------------------------------------------
r764 | sam | 2001-03-18 01:15:20 +0100 (Sun, 18 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/macosx/macosx.c


  * Forgot to remove a prototype when creating skeleton plugin.

------------------------------------------------------------------------
r765 | henri | 2001-03-18 19:48:27 +0100 (Sun, 18 Mar 2001) | 8 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/input_ts.h


- Changed read method : we now use select, so we are now able to quit
even if no packet has benn receivced.
- Put more exmplicit error messages

I noticed that now I have "Seeking to position ...." messages even with
network input. If someone can do a quick fix, thanks about it.

------------------------------------------------------------------------
r766 | henri | 2001-03-18 21:46:16 +0100 (Sun, 18 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c


Replaced ( a < b/c ) by ( a*c < b ).

------------------------------------------------------------------------
r767 | sam | 2001-03-19 06:08:00 +0100 (Mon, 19 Mar 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/src/interface/main.c


  * Fixed Debian sparc build for real (Closes: Debian bug #89285).

------------------------------------------------------------------------
r768 | sam | 2001-03-19 14:26:59 +0100 (Mon, 19 Mar 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/input.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


  * vlc core compiles under QNX RTOS. Now if anyone feels like tidying
  it and writing output and interface plugins...

------------------------------------------------------------------------
r769 | henri | 2001-03-19 23:16:31 +0100 (Mon, 19 Mar 2001) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c


Added a #include that prevented when compiling on redhat.

------------------------------------------------------------------------
r770 | sam | 2001-03-20 05:44:06 +0100 (Tue, 20 Mar 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/audio_output.h
   M /trunk/include/modules.h
   A /trunk/src/audio_output/aout_common.h
   A /trunk/src/audio_output/aout_fifo.c
   A /trunk/src/audio_output/aout_s16.c
   A /trunk/src/audio_output/aout_s8.c
   A /trunk/src/audio_output/aout_u16.c
   A /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c


  * Split audio output into several separate files to make it easier
  to debug. Removed a few redundancies as well.

------------------------------------------------------------------------
r771 | massiot | 2001-03-20 18:36:04 +0100 (Tue, 20 Mar 2001) | 6 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/rsc_files.h
   M /trunk/plugins/darwin/aout_darwin.c
   M /trunk/plugins/darwin/darwin.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/misc/rsc_files.c

* Support for Darwin CoreAudio, courtesy of Colin Delacroix [MacOS X port] ;
* Added warnings for ac3 mantissa (we still have problems with AC3 on
MacOS X) ;
* Renamed WriteResource to avoid a namespace clash with Darwin's
WriteResource.

------------------------------------------------------------------------
r772 | massiot | 2001-03-20 20:36:59 +0100 (Tue, 20 Mar 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

* Compile Darwin module by default on Darwin system. [MacOS X port]

------------------------------------------------------------------------
r773 | massiot | 2001-03-20 21:09:37 +0100 (Tue, 20 Mar 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/plugins/idct/idctaltivec.c
   A /trunk/plugins/idct/idctaltivec.h

* Added IDCT Altivec optimization [MacOS X port]. Untested, not compiled.

------------------------------------------------------------------------
r774 | massiot | 2001-03-20 21:20:34 +0100 (Tue, 20 Mar 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

* Fixed Makefile for normal people :p

------------------------------------------------------------------------
r775 | massiot | 2001-03-20 21:40:07 +0100 (Tue, 20 Mar 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

* Use $QTDIR for the qt module ;

------------------------------------------------------------------------
r776 | massiot | 2001-03-20 21:54:44 +0100 (Tue, 20 Mar 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/tests.h

* Compile Altivec modules on Darwin. [MacOS X port]

------------------------------------------------------------------------
r777 | sam | 2001-03-20 22:42:41 +0100 (Tue, 20 Mar 2001) | 19 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/plugins/sdl/vout_sdl.c


   * SDL fixes and enhancements by Shane Harper <shanegh@optusnet.com.au>

   Shane, I removed the static variables from your code because static
   is not thread-safe, and one can imagine having several video output
   windows launched at the same time. Also, I made your feature work
   in windowed mode as well, because people kept asking how to hide the
   mouse pointer.

   Also, if you want to work on the XVideo extension, you are welcome ;
   most of us are quite busy at the moment. Damien Lucas <nitrox@via.ecp.fr>
   had offered to work on it, but he seems to be a bit lost, so you may
   want to take over his job.

   As for the "zoom" feature, I suggest you wait until version 4 of the
   video output is done, it'll be easier to do then.

Regards,

------------------------------------------------------------------------
r778 | sam | 2001-03-21 00:18:38 +0100 (Wed, 21 Mar 2001) | 3 lines
Changed paths:
   M /trunk/include/tests.h
   M /trunk/src/interface/main.c


   * Altivec instructions autodetection.

------------------------------------------------------------------------
r779 | sam | 2001-03-21 03:58:29 +0100 (Wed, 21 Mar 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/idct/idctaltivec.c


  * Fixed a typo in the Altivec iDCT module declaration.
  * Made a few enhancements to the Makefile.

------------------------------------------------------------------------
r780 | sam | 2001-03-21 14:42:35 +0100 (Wed, 21 Mar 2001) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/audio_output.h
   M /trunk/include/beos_specific.h
   M /trunk/include/debug.h
   M /trunk/include/int_types.h
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/include/intf_playlist.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_core.h
   M /trunk/include/modules_inner.h
   M /trunk/include/mpeg_system.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/rsc_files.h
   M /trunk/include/tests.h
   M /trunk/include/threads.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/Bitmaps.h
   M /trunk/plugins/beos/DrawingTidbits.cpp
   M /trunk/plugins/beos/DrawingTidbits.h
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/beos/TransportButton.cpp
   M /trunk/plugins/beos/TransportButton.h
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/darwin/aout_darwin.c
   M /trunk/plugins/darwin/darwin.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/mga/vout_mga.h
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg/input_ps.h
   M /trunk/plugins/mpeg/input_ts.h
   M /trunk/plugins/mpeg/ps.c
   M /trunk/plugins/mpeg/ts.c
   M /trunk/plugins/null/null.c
   M /trunk/plugins/qt/qt.cpp
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/text/intf_ncurses.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/yuv/transforms_common.h
   M /trunk/plugins/yuv/transforms_yuv.c
   M /trunk/plugins/yuv/transforms_yuv.h
   M /trunk/plugins/yuv/transforms_yuvmmx.c
   M /trunk/plugins/yuv/transforms_yuvmmx.h
   M /trunk/plugins/yuv/video_common.h
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuv/yuvmmx.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix.h
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/adec_generic.c
   M /trunk/src/audio_decoder/adec_generic.h
   M /trunk/src/audio_decoder/adec_layer1.c
   M /trunk/src/audio_decoder/adec_layer1.h
   M /trunk/src/audio_decoder/adec_layer2.c
   M /trunk/src/audio_decoder/adec_layer2.h
   M /trunk/src/audio_decoder/adec_math.c
   M /trunk/src/audio_decoder/adec_math.h
   M /trunk/src/audio_decoder/adec_test.c
   M /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/audio_output/aout_common.h
   M /trunk/src/audio_output/aout_fifo.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/audio_output/aout_s8.c
   M /trunk/src/audio_output/aout_u16.c
   M /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_channels.c
   M /trunk/src/interface/intf_channels.h
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_cmd.h
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_console.h
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_ctrl.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/intf_playlist.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.h
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.h
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/misc/tests.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_text.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h


  * Header cleaning: filled all empty authors fields, added CVS $Id stuff.
  * Fixes to aout_darwin.c by Colin Delacroix <colin@zoy.org>.
  * Fixes to configure.in, Makefile.in and main.c (Altivec detection)
    by Eugenio Jarosiewicz <ej0@cise.ufl.edu>.
  * Added Colin and Eugenio to the AUTHORS file.

------------------------------------------------------------------------
r781 | stef | 2001-03-22 02:23:03 +0100 (Thu, 22 Mar 2001) | 14 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/video_parser/video_parser.c

-Added a SYNCHRO_START in DVDRead for each cell change to fix
multi-angle streams

-Changed seek function to prevent jump-at-will and to remove two bugs in
sector computing.

-Initialize some values in netlist (payload_discard wasn't which caused
frame dropping)

-Come back of multi-sector read which should make reading faster

Now, theyre should be very few reading error, and we have got back the
performance we had before my netlist polioting :p

------------------------------------------------------------------------
r782 | richards | 2001-03-25 19:09:14 +0200 (Sun, 25 Mar 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/src/misc/beos_specific.cpp

Language & Inteface support for BeOS interface

------------------------------------------------------------------------
r783 | sam | 2001-03-26 21:06:18 +0200 (Mon, 26 Mar 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/idct/idctaltivec.c


  - fixed SDL compilation, thanks to Colin.
  - disabled Altivec iDCT until it works.

------------------------------------------------------------------------
r784 | sam | 2001-04-01 08:21:44 +0200 (Sun, 01 Apr 2001) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/x11/vout_x11.c
   A /trunk/plugins/x11/vout_xvideo.c
   A /trunk/plugins/x11/xvideo.c


  * XVideo plugin courtesy of Shane Harper <shanegh@optusnet.com.au>
  * Makefile.in and configure.in fixes by Nilmoni Deb <ndeb@ece.cmu.edu>
  * A few syntax fixes in the plain X11 plugin

------------------------------------------------------------------------
r785 | sam | 2001-04-01 08:42:05 +0200 (Sun, 01 Apr 2001) | 3 lines
Changed paths:
   M /trunk/plugins/x11/vout_xvideo.c


  * fixed a typo

------------------------------------------------------------------------
r786 | stef | 2001-04-01 09:31:38 +0200 (Sun, 01 Apr 2001) | 8 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c

-Various bug fixes in dvd_netlist. Some bugs seem to remain though.
-New function input_ToggleES for interaction with interface.
-Changes in gnome interface : navigation menus are now splited, there
are radio item in menus and the code should be better.
-First step for dvd_ifo rewritting. Now allocation/disallocation is
being done as it has to be.
-Fixed a bug in title management that make dvd like Seven work.

------------------------------------------------------------------------
r787 | richards | 2001-04-03 00:40:07 +0200 (Tue, 03 Apr 2001) | 3 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

vout_beos now uses double buffering for YCbCr overlay.
This (for some reason) improves audio/video sync

------------------------------------------------------------------------
r788 | sam | 2001-04-03 01:30:41 +0200 (Tue, 03 Apr 2001) | 16 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.in
   A /trunk/extras
   A /trunk/extras/MacOSX_dvdioctl
   A /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   A /trunk/extras/MacOSX_dvdioctl/DVDioctl.h
   A /trunk/extras/MacOSX_dvdioctl/DVDioctl.pbproj
   A /trunk/extras/MacOSX_dvdioctl/DVDioctl.pbproj/project.pbxproj
   A /trunk/extras/MacOSX_dvdioctl/English.lproj
   A /trunk/extras/MacOSX_dvdioctl/English.lproj/InfoPlist.strings
   M /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c


 * fixes for the Qt plugin compilation under Debian

 * heavy butchering in the CSS and DVD ioctl code to put all architecture-
   dependent code in dvd_ioctl.c

 * added almost fully-functional /dev/dvd driver for MacOS X in
   extras/DVDioctl; to build it:

    % cd extras/DVDioctl
    % pbxbuild
    % kextload build/DVDioctl.kext # note: kextload has to be run as root

   be aware that the license for the DVDioctl kernel extension is
   not GPL but APSL, because I borrowed some code from the Darwin kernel.

------------------------------------------------------------------------
r789 | stef | 2001-04-03 05:39:41 +0200 (Tue, 03 Apr 2001) | 13 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c

-Fall back to one-packet-once reading in dvd input since multi-block
seems to have a bug that make the vlc crash on title/audio/spu change. I
hope that this bug will be fixed soon for the performance is poorer now

-add-ons and changes in gnome interface:
        *menu subdivision is done only if there are over 20 items,
        *in DVD mode next/prev apply to title,
        *in DVD mode, added a box with button to navigate through
         chapters.
This has not been finished yet (and it is not in gtk plugin then). And I
think I will leave toolbar next/prev buttons for playlist and add
button specifically for title change like for chapters.*

------------------------------------------------------------------------
r790 | sam | 2001-04-04 04:49:18 +0200 (Wed, 04 Apr 2001) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_ioctl.h


  * additional enhancements to the OS X DVD ioctl module
  * big cleaning of the BeOS DVD ioctl code, got rid of all Linuxisms

------------------------------------------------------------------------
r791 | sam | 2001-04-04 18:33:07 +0200 (Wed, 04 Apr 2001) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/x11/vout_xvideo.c


  * compilation fixes for the BeOS DVD ioctls
  * XVideo plugin enhancements by Shane Harper <shanegh@optusnet.com.au>

------------------------------------------------------------------------
r792 | sam | 2001-04-05 05:50:38 +0200 (Thu, 05 Apr 2001) | 9 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/doc/vlc.1
   A /trunk/extras/GNUgetopt
   A /trunk/extras/GNUgetopt/getopt.c
   A /trunk/extras/GNUgetopt/getopt.h
   A /trunk/extras/GNUgetopt/getopt1.c
   A /trunk/extras/MacOSX_dvdioctl/.cvsignore
   M /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/darwin/aout_darwin.c
   M /trunk/src/interface/main.c


  * added the GNU getopt library, which gets compiled in when getopt_long
    isn't available on the desired platform.
  * replaced the `--warning' flag with the standard cumulative `-v' flag.
    `-v' is like `--warning 3', and `-vvvv' is like `--warning 0'
    (`--warning' is still valid for those used to it)
  * cleaning in configure.in and Makefile.in, the Solaris port now
    builds and runs properly.

------------------------------------------------------------------------
r793 | asmax | 2001-04-05 16:00:28 +0200 (Thu, 05 Apr 2001) | 7 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h
   M /trunk/src/input/mpeg_system.c



Added a new packet allocation method that punish one's mother in PS input.
I hope there won't be too many segfaults because of it ;)
A few parameters must be adjusted to optimize this method; I'll do it later
because Proba Stat sucks ;)

------------------------------------------------------------------------
r794 | asmax | 2001-04-05 18:37:15 +0200 (Thu, 05 Apr 2001) | 5 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h



switched back to the old packet allocation method for PS input, because
Sam does not want the new one ;)

------------------------------------------------------------------------
r795 | sam | 2001-04-06 11:15:48 +0200 (Fri, 06 Apr 2001) | 7 lines
Changed paths:
   A /trunk/extras/GNUgetopt/COPYING
   A /trunk/extras/MacOSX_dvdioctl/COPYING
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   A /trunk/extras/MacOSX_dvdioctl/README
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/idct/idct_common.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/audio_decoder/adec_generic.c
   M /trunk/src/audio_decoder/adec_layer1.c
   M /trunk/src/audio_decoder/adec_layer2.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_urldecode.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/tests.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


  * Code cleanup: removed a few tabulations.
  * Fixed inline asm routines to remove all read/write operands.
  * Added <string.h> to most files to prevent warnings under FreeBSD.
  * Added "break;" after "default:" in case switches to prevent
    warnings when compiling with GCC 3.0pre.

------------------------------------------------------------------------
r796 | massiot | 2001-04-06 20:18:10 +0200 (Fri, 06 Apr 2001) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/extras/MacOSX_app
   A /trunk/extras/MacOSX_app/Contents
   A /trunk/extras/MacOSX_app/Contents/Info.plist
   A /trunk/extras/MacOSX_app/Contents/PkgInfo
   D /trunk/plugins/darwin/aout_darwin.c
   M /trunk/plugins/darwin/darwin.c
   A /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_text.c

* Sync MOSX dev/CVS tree : code support for MacOS X audio, video and
interface (courtesy of Eugenio Jarosiewicz & Colin Delacroix) ;
* Bumped up version number to 0.2.70.

------------------------------------------------------------------------
r797 | sam | 2001-04-07 06:17:49 +0200 (Sat, 07 Apr 2001) | 3 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/vlc.spec


   * Updated version information in RedHat and Debian package control files.

------------------------------------------------------------------------
r798 | ej | 2001-04-07 06:59:52 +0200 (Sat, 07 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/vout_macosx.c

Cleaning code and a small fix to make quit work on OSX

------------------------------------------------------------------------
r799 | massiot | 2001-04-07 18:21:13 +0200 (Sat, 07 Apr 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

Added a missing file for MacOS X port.

------------------------------------------------------------------------
r800 | massiot | 2001-04-07 18:35:05 +0200 (Sat, 07 Apr 2001) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Disable x11 plugin if X11 headers are not found.

------------------------------------------------------------------------
r801 | massiot | 2001-04-08 01:23:50 +0200 (Sun, 08 Apr 2001) | 3 lines
Changed paths:
   M /trunk/vlc.spec

Removed --enable-mmx (enabled by default under x86) and changed a few
things.

------------------------------------------------------------------------
r802 | sam | 2001-04-08 06:17:30 +0200 (Sun, 08 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/vlc.spec


  * Updated ChangeLog and TODO list.
  * Added TODO to the .spec file.
  * Fixed Makefile.in so that `make snapshot' takes extras/* in account.

------------------------------------------------------------------------
r803 | stef | 2001-04-08 09:24:47 +0200 (Sun, 08 Apr 2001) | 4 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/intf_playlist.c

-changes in gnome interface

-bugfix in input dvd

------------------------------------------------------------------------
r804 | stef | 2001-04-08 09:45:03 +0200 (Sun, 08 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gnome/gnome_callbacks.c

-fixed little poliotage

------------------------------------------------------------------------
r805 | stef | 2001-04-08 11:04:33 +0200 (Sun, 08 Apr 2001) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input.c

-fixed css authentication under linux since it has been broken for a few
days: we have to initialize agid of authinfo struct.

-fixed a segfault on exit when DVDInit fails

------------------------------------------------------------------------
r806 | octplane | 2001-04-08 15:09:32 +0200 (Sun, 08 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_playlist.c

Corrected playlist update on file opening.

------------------------------------------------------------------------
r807 | octplane | 2001-04-08 15:11:45 +0200 (Sun, 08 Apr 2001) | 2 lines
Changed paths:
   A /trunk/plugins/gtk/gtk_playlist.h

Forgot one small thing :P

------------------------------------------------------------------------
r808 | sam | 2001-04-08 18:57:47 +0200 (Sun, 08 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/README
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/x11/vout_xvideo.c


   * XVideo window now has a black background, thanks to Shane Harper.
   * Fixed a heap corruption in dvd_css.c.

------------------------------------------------------------------------
r809 | stef | 2001-04-09 06:15:30 +0200 (Mon, 09 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/intf_beos.cpp

-Fixed a compilation issue due to a change in an interface structure

------------------------------------------------------------------------
r810 | stef | 2001-04-10 19:47:05 +0200 (Tue, 10 Apr 2001) | 4 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c

-Fixed the lock segfault bug with some compilers

-Quick kludge in ifo to avoid a bug with optims. The real fix is coming.

------------------------------------------------------------------------
r811 | henri | 2001-04-11 04:01:24 +0200 (Wed, 11 Apr 2001) | 9 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/main.h
   M /trunk/include/netutils.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


- Ported the 0.2.0's channel changing functions
- Cosmetic changes : the word 'vlan' is disappearing
- network_ChannelJoin is still commented out as it's not in sync anymore
  with our channel server. Nitrox should fix this within a week.
- X and Xv output : added autohide cursor as in SDL
- X and Sv : keys 1 to 0 change channel
- SDL : keys F1 to F10 change channel as I was not able to make 1..0 work

------------------------------------------------------------------------
r812 | sam | 2001-04-11 06:31:59 +0200 (Wed, 11 Apr 2001) | 9 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gtk/gtk_callbacks.c


  * Fixed the whitespace/tab issues in the Makefile.
  * Corrected an awful typo in the version name, I hope Lieutenant Commander
    Arkady Grigorovich Ourumov will never set up us the bomb for that.
  * Removed deprecated stuff from config.h.
  * Disabled message queue by default.
  * A few other changes in the CSS code, the BeOS issues should be fixed.
  * Fixed a memory leak in gtk_callbacks.c (thanks to Dae).

------------------------------------------------------------------------
r813 | sam | 2001-04-11 06:46:18 +0200 (Wed, 11 Apr 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ioctl.c


  * Forgot a BeOS patch on previous commit.

------------------------------------------------------------------------
r814 | sam | 2001-04-11 14:52:10 +0200 (Wed, 11 Apr 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/control-css
   A /trunk/debian/gnome-vlc.desktop
   A /trunk/debian/gvlc.desktop
   M /trunk/debian/rules
   A /trunk/debian/vlc-gnome.menu
   M /trunk/debian/vlc-gtk.menu
   A /trunk/debian/vlc-qt.menu
   A /trunk/debian/vlc.desktop
   M /trunk/doc/vlc.1
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gtk/intf_gtk.c
   A /trunk/share/gnome-vlc.png
   A /trunk/share/gnome-vlc.xpm
   M /trunk/share/gvlc.png
   M /trunk/share/gvlc.xpm
   A /trunk/share/kvlc.png
   A /trunk/share/kvlc.xpm
   A /trunk/share/qvlc.png
   A /trunk/share/qvlc.xpm
   A /trunk/share/vlc-icons.xcf
   M /trunk/share/vlc.png
   M /trunk/share/vlc.xpm


  * Fixed icons location and Debian desktop menus.

------------------------------------------------------------------------
r815 | ej | 2001-04-11 15:30:30 +0200 (Wed, 11 Apr 2001) | 16 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/macosx/intf_macosx.c
   A /trunk/plugins/macosx/macosx_common.h
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_text.c

Updated & cleaned up intf_macosx.c and vout_macosx.c - added Open menu
function support and a no-frills About box

Created macosx_common.h in plugins/macosx/ to hold , well, common stuff
(the way I see it, there is inherently a difficult separation of intf and
vout on Mac OS, if anyone has suggestions I'm open)

Cleaned up debug spew I left in modules.c and video_text.c

Hacked main.c to disregard argv[1] when compiled for OSX & run as a full
app (ie., double clicked and not launched from command line)... read the
file for more details.  UGLY.

Updated Makefile.in to make vlc.app by default on Mac OS X & Darwin, added
clean code for it as well

------------------------------------------------------------------------
r816 | ej | 2001-04-11 15:56:39 +0200 (Wed, 11 Apr 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.in

Fixed a dumb mistake in Makefile.in

------------------------------------------------------------------------
r817 | ej | 2001-04-11 16:10:49 +0200 (Wed, 11 Apr 2001) | 2 lines
Changed paths:
   M /trunk/src/interface/main.c

Forgot a little thing...main.  Done for now I hope;-)

------------------------------------------------------------------------
r818 | sam | 2001-04-12 03:52:45 +0200 (Thu, 12 Apr 2001) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/include/beos_specific.h
   A /trunk/include/darwin_specific.h
   M /trunk/share/gnome-vlc.png
   M /trunk/share/gnome-vlc.xpm
   M /trunk/share/gvlc.png
   M /trunk/share/gvlc.xpm
   M /trunk/share/kvlc.png
   M /trunk/share/kvlc.xpm
   M /trunk/share/qvlc.png
   M /trunk/share/qvlc.xpm
   M /trunk/share/vlc-icons.xcf
   M /trunk/share/vlc.png
   M /trunk/share/vlc.xpm
   A /trunk/share/vlc_beos.rsrc
   M /trunk/src/audio_decoder/adec_layer1.c
   M /trunk/src/audio_decoder/adec_layer2.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/beos_specific.cpp
   A /trunk/src/misc/darwin_specific.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/video_output/video_text.c


  * BeOS icon and MIME resources courtesy of Wade Majors <guru@startrek.com>.
  * Updated icons.
  * Removed redefinition of NULL in src/audio_decoder/adec_layer?.c.
  * Created darwin_specific.c to store the program path at boot time.
    (XXX: check that it didn't break the OS X port)
  * Fixed a warning in netutils.c.

------------------------------------------------------------------------
r819 | stef | 2001-04-12 04:40:09 +0200 (Thu, 12 Apr 2001) | 7 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c

-Fixed a bug in area management added in my last commit

-Change the way ifo are read ; I hope this fixes problems with some
compilers

-Added error checks in dvd input

------------------------------------------------------------------------
r820 | stef | 2001-04-12 05:26:53 +0200 (Thu, 12 Apr 2001) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

-added a field to p_input->stream to inform the interface of a stream
change (useful in network mode)

------------------------------------------------------------------------
r821 | sam | 2001-04-12 10:24:30 +0200 (Thu, 12 Apr 2001) | 3 lines
Changed paths:
   M /trunk/src/misc/beos_specific.cpp


  * Fixed a typo in yesterday's BeOS changes.

------------------------------------------------------------------------
r822 | tcastley | 2001-04-12 13:10:16 +0200 (Thu, 12 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/intf_beos.cpp

Fixed menu problem in 0.2.7.0

------------------------------------------------------------------------
r823 | colin | 2001-04-12 19:57:12 +0200 (Thu, 12 Apr 2001) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/share/vlc.icns

MacOS X
make vlc.app now correctly updates vlc.app
added an icon to the MacOS X vlc
removed the build of the vlc app from the install target

------------------------------------------------------------------------
r824 | henri | 2001-04-13 03:49:22 +0200 (Fri, 13 Apr 2001) | 12 lines
Changed paths:
   M /trunk/TODO
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/src/input/mpeg_system.c


TS input : only one audio & spu ES selected at a time
Intf : ts streams in menu
       fixed a typo

There be certainly need for debug on the TS input as vls complains about
wrong sized PES packets, and that many streams do not seem to work.

btw, I forgot to mention in my last commit the function that nooone will
ever use : "right button" key of 105 keys keybords support under X11,
Xv, Sdl

------------------------------------------------------------------------
r825 | stef | 2001-04-13 07:36:12 +0200 (Fri, 13 Apr 2001) | 7 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input_programs.c

*Added udf fix by Billy Biggs

*Added checks in dvd_ifo

*Cleanings in gnome interface : the interface should be dependant on the
input method.

------------------------------------------------------------------------
r826 | sam | 2001-04-13 08:20:23 +0200 (Fri, 13 Apr 2001) | 10 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/debian/rules
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/vlc.spec


  * Updated version number to 0.2.71 (release today).

  * Merged 6 months of CVS logs to the ChangeLog file.
    The vlc changelog can now be viewed here:
       http://www.videolan.org/vlc/changelog.html

  * Fixed a lintian error in debian/rules.
  * XVideo resize patch by Shane Harper <shanegh@optusnet.com.au>.

------------------------------------------------------------------------
r827 | sam | 2001-04-13 16:33:22 +0200 (Fri, 13 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/misc/darwin_specific.c


  * Fix for Darwin program path handling. I mistakenly assumed that the
    program path was always absolute.

------------------------------------------------------------------------
r828 | sam | 2001-04-14 09:41:20 +0200 (Sat, 14 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/interface/main.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/darwin_specific.c


  * Got rid of the sleep() hack in beos_specific.cpp
  * Fixed a segfault when launched without argument under Darwin.

------------------------------------------------------------------------
r829 | sam | 2001-04-15 06:19:58 +0200 (Sun, 15 Apr 2001) | 29 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   A /trunk/Makefile
   M /trunk/Makefile.dep
   D /trunk/Makefile.in
   A /trunk/Makefile.modules.in
   A /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/rules
   M /trunk/include/modules.h
   A /trunk/include/modules_builtin.h.in
   A /trunk/plugins/alsa/Makefile
   A /trunk/plugins/beos/Makefile
   M /trunk/plugins/beos/intf_beos.cpp
   A /trunk/plugins/darwin/Makefile
   A /trunk/plugins/dsp/Makefile
   A /trunk/plugins/dummy/Makefile
   A /trunk/plugins/dvd/Makefile
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   A /trunk/plugins/esd/Makefile
   A /trunk/plugins/fb/Makefile
   A /trunk/plugins/ggi/Makefile
   A /trunk/plugins/glide/Makefile
   A /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.glade
   A /trunk/plugins/gtk/Makefile
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/intf_gtk.glade
   A /trunk/plugins/idct/Makefile
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct.h
   M /trunk/plugins/idct/idct_common.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   A /trunk/plugins/macosx/Makefile
   A /trunk/plugins/mga/Makefile
   A /trunk/plugins/motion/Makefile
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/motion/vdec_motion_common.c
   A /trunk/plugins/mpeg/Makefile
   A /trunk/plugins/null/Makefile
   A /trunk/plugins/qt/Makefile
   A /trunk/plugins/sdl/Makefile
   A /trunk/plugins/text/Makefile
   A /trunk/plugins/x11/Makefile
   A /trunk/plugins/yuv/Makefile
   M /trunk/plugins/yuv/transforms_yuv.c
   M /trunk/plugins/yuv/transforms_yuvmmx.c
   M /trunk/plugins/yuv/video_common.h
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/input/input.c
   M /trunk/src/misc/modules.c


  * Beginning of the built-in modules support.

   A few words about the changes:

  - heavy Makefile butchery has taken place, each plugin now has its own
    Makefile. I know recursive make blablah harmful, but it was just so
    much easier to do this way.

  - Makefile.in has disappeared, we now generate Makefile.opts with
    the overall configuration options, and Makefile.modules which is
    specific to module compilation.

  - After ./configure has been run you may want to modify Makefile.opts
    to check which modules will be compiled built-in or as plugins.

  - Some modules cannot be compiled built-in right now because proper
    linkage doesn't work yet. We don't really care since they're the
    interface or video output modules. The most important stuff works
    (iDCT, motion, YUV, input).

  - It's perfectly valid to compile a module both as built-in and as a
    plugin. vlc will only load the built-in one, but I'll add an option
    to ignore built-in modules for testing purposes.

  - We *should* see a performance increase here. I didn't have much time
    to test it, but if anyone can confirm and perhaps give a rough
    estimate of how much we gain...

------------------------------------------------------------------------
r830 | sam | 2001-04-15 06:46:41 +0200 (Sun, 15 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.modules.in
   M /trunk/plugins/alsa/Makefile
   M /trunk/plugins/beos/Makefile
   M /trunk/plugins/darwin/Makefile
   M /trunk/plugins/dsp/Makefile
   M /trunk/plugins/dummy/Makefile
   M /trunk/plugins/dvd/Makefile
   M /trunk/plugins/esd/Makefile
   M /trunk/plugins/fb/Makefile
   M /trunk/plugins/ggi/Makefile
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/motion/Makefile
   M /trunk/plugins/mpeg/Makefile
   M /trunk/plugins/null/Makefile
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/sdl/Makefile
   M /trunk/plugins/text/Makefile
   M /trunk/plugins/x11/Makefile
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/plugins/yuv/Makefile


  * A few Makefile fixes for BeOS
  * XVideo patches by Shane Harper

------------------------------------------------------------------------
r831 | sam | 2001-04-15 12:54:46 +0200 (Sun, 15 Apr 2001) | 15 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.modules.in
   M /trunk/Makefile.opts.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/alsa/Makefile
   M /trunk/plugins/beos/Makefile
   M /trunk/plugins/darwin/Makefile
   M /trunk/plugins/esd/Makefile
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/motion/Makefile
   M /trunk/plugins/mpeg/Makefile
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/sdl/Makefile
   M /trunk/plugins/text/Makefile
   M /trunk/plugins/x11/Makefile
   M /trunk/plugins/yuv/Makefile
   M /trunk/src/misc/modules.c


  * Updated TODO list with Henri's Apr 6th post.
  * Built-in modules support almost finished.

    Now you can compile any module within vlc, even the Gnome, Qt, SDL
  and GGI modules at the same time, resulting in an awful extra fat
  vlc binary with gazillons of library dependecies.

    The only exception is that the Gnome and Gtk+ modules can't be
  compiled together into vlc. But you can have one compiled built-in
  and the other as a plugin.

    Another consequence is that libdl should no longer be needed under
  MacOS X. I'll check this as soon as possible.

------------------------------------------------------------------------
r832 | sam | 2001-04-15 17:11:44 +0200 (Sun, 15 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/rules


  * All Debian packages are now lintian-clean.
  * Fixed XVideo plugin linking.

------------------------------------------------------------------------
r833 | stef | 2001-04-15 17:32:48 +0200 (Sun, 15 Apr 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c

-Maybe fixed the "cell not found" bug. I can't test it because I don't
have a dvd drive here, but it should work now.

------------------------------------------------------------------------
r834 | stef | 2001-04-15 23:17:50 +0200 (Sun, 15 Apr 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c

-I hope I have fixed the ifo bug lastly !

------------------------------------------------------------------------
r835 | sam | 2001-04-16 09:40:11 +0200 (Mon, 16 Apr 2001) | 5 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile
   A /trunk/Makefile.common
   M /trunk/Makefile.dep
   M /trunk/Makefile.opts.in
   M /trunk/include/.cvsignore
   A /trunk/plugins/alsa/.cvsignore
   M /trunk/plugins/alsa/Makefile
   A /trunk/plugins/beos/.cvsignore
   M /trunk/plugins/beos/Makefile
   A /trunk/plugins/darwin/.cvsignore
   M /trunk/plugins/darwin/Makefile
   A /trunk/plugins/dsp/.cvsignore
   M /trunk/plugins/dsp/Makefile
   A /trunk/plugins/dummy/.cvsignore
   M /trunk/plugins/dummy/Makefile
   A /trunk/plugins/dvd/.cvsignore
   M /trunk/plugins/dvd/Makefile
   A /trunk/plugins/esd/.cvsignore
   M /trunk/plugins/esd/Makefile
   A /trunk/plugins/fb/.cvsignore
   M /trunk/plugins/fb/Makefile
   A /trunk/plugins/ggi/.cvsignore
   M /trunk/plugins/ggi/Makefile
   A /trunk/plugins/glide/.cvsignore
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/gnome/.cvsignore
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gtk/.cvsignore
   M /trunk/plugins/gtk/Makefile
   A /trunk/plugins/idct/.cvsignore
   M /trunk/plugins/idct/Makefile
   A /trunk/plugins/macosx/.cvsignore
   M /trunk/plugins/macosx/Makefile
   A /trunk/plugins/mga/.cvsignore
   M /trunk/plugins/mga/Makefile
   A /trunk/plugins/motion/.cvsignore
   M /trunk/plugins/motion/Makefile
   A /trunk/plugins/mpeg/.cvsignore
   M /trunk/plugins/mpeg/Makefile
   A /trunk/plugins/null/.cvsignore
   M /trunk/plugins/null/Makefile
   M /trunk/plugins/qt/.cvsignore
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/qt/intf_qt.cpp
   A /trunk/plugins/sdl/.cvsignore
   M /trunk/plugins/sdl/Makefile
   A /trunk/plugins/text/.cvsignore
   M /trunk/plugins/text/Makefile
   A /trunk/plugins/x11/.cvsignore
   M /trunk/plugins/x11/Makefile
   A /trunk/plugins/yuv/.cvsignore
   M /trunk/plugins/yuv/Makefile
   M /trunk/src/misc/modules.c


  * Added .cvsignore files in the plugins directories.
  * Additional Makefile cleaning for built-in modules.
  * Fixed Makefile for Solaris target.

------------------------------------------------------------------------
r836 | asmax | 2001-04-16 14:34:28 +0200 (Mon, 16 Apr 2001) | 10 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h



Re-added the new packet allocation method in PS input, using packet caches.
With warning level 1, you can see when a packet is allocated or freed; the
goal is to never call 'malloc' nor 'free', except at the beginning of the
stream.
The size of the different caches can be adjusted in plugins/mpeg/input_ps.h.
If 'free' is called too often, it means that a cache is too small, so try
to increase its size.

------------------------------------------------------------------------
r837 | sam | 2001-04-16 15:00:55 +0200 (Mon, 16 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   D /trunk/Makefile.common
   A /trunk/Makefile.modules
   D /trunk/Makefile.modules.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/plugins/alsa/Makefile
   M /trunk/plugins/beos/Makefile
   M /trunk/plugins/darwin/Makefile
   M /trunk/plugins/dsp/Makefile
   M /trunk/plugins/dummy/Makefile
   M /trunk/plugins/dvd/Makefile
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/esd/Makefile
   M /trunk/plugins/fb/Makefile
   M /trunk/plugins/ggi/Makefile
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/motion/Makefile
   M /trunk/plugins/mpeg/Makefile
   M /trunk/plugins/null/Makefile
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/sdl/Makefile
   M /trunk/plugins/text/Makefile
   M /trunk/plugins/x11/Makefile
   M /trunk/plugins/yuv/Makefile
   M /trunk/vlc.spec


  * Merged Makefile.common and Makefile.modules.in into Makefile.modules
  * Updated version number and ChangeLog to 0.2.72
  * Additional plugin Makefile cleaning, probably the last.

------------------------------------------------------------------------
r838 | sam | 2001-04-16 15:32:55 +0200 (Mon, 16 Apr 2001) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


  * Fixed a typo in configure.in

------------------------------------------------------------------------
r839 | sam | 2001-04-17 16:39:51 +0200 (Tue, 17 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp


   OS X fixes:
  * Fixed a compilation issue in the DVDioctl driver.
  * Added a call to ranlib after a built-in module compilation.

------------------------------------------------------------------------
r840 | massiot | 2001-04-17 16:54:54 +0200 (Tue, 17 Apr 2001) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

Fixed optional PES size bug, courtesy of Steve Brown <sbrown@cortland.com>.

------------------------------------------------------------------------
r841 | colin | 2001-04-17 17:17:58 +0200 (Tue, 17 Apr 2001) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/extras/MacOSX_app/Contents/Info.plist

fix MacOS X icon

------------------------------------------------------------------------
r842 | massiot | 2001-04-17 20:22:51 +0200 (Tue, 17 Apr 2001) | 3 lines
Changed paths:
   M /trunk/plugins/x11/vout_xvideo.c

Removed a "1" from an intf_DbgMsg() (courtesy of Steve Brown
<sbrown@cortland.com>)

------------------------------------------------------------------------
r843 | marcari | 2001-04-17 22:43:41 +0200 (Tue, 17 Apr 2001) | 2 lines
Changed paths:
   M /trunk/src/misc/netutils.c

*** empty log message ***

------------------------------------------------------------------------
r844 | stef | 2001-04-20 07:40:03 +0200 (Fri, 20 Apr 2001) | 12 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/interface/main.c

-corrected some bugs in gnome interface: language menu are now
synchronized ; and menus have less chances to be changed when they're opened.

-added basic angle support ; this is a first try. It works with my 2
test-DVDs, but I'd like that people having DVDs with repeated scenes to
test it. We can choose angle with command line option -u (don't ask me
why :)

-a cosmetic change in css decryption.

Since config.h.in has changed, you have to re-run ./configure.

------------------------------------------------------------------------
r845 | sam | 2001-04-20 13:06:48 +0200 (Fri, 20 Apr 2001) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/modules_builtin.h.in
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/x11/Makefile
   M /trunk/src/misc/modules.c


  * Fixed build process when no plugins or no builtins were chosen.
  * Makefile changes to get around MacOS X's brain-damaged gcc.
  * FreeBSD configure and Makefile patches, courtesy of Espen
    Skoglund <esk@ira.uka.de>.

------------------------------------------------------------------------
r846 | reno | 2001-04-20 14:14:34 +0200 (Fri, 20 Apr 2001) | 5 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   D /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c

* Begin of the new ac3_decoder ;)
  - New ac3_decoder_thread (we now use GetBits)

Please warn me if you encounter some problem

------------------------------------------------------------------------
r847 | sam | 2001-04-20 17:02:48 +0200 (Fri, 20 Apr 2001) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/mpeg/Makefile
   A /trunk/plugins/mpeg/es.c
   A /trunk/plugins/mpeg/input_es.c
   A /trunk/plugins/mpeg/input_es.h


  * Added prototypes for the Elementary Stream input module for Alexis.
     it's compiled by default, to activate it: "vlc --input es <file.mpeg>"

------------------------------------------------------------------------
r848 | sam | 2001-04-21 02:31:07 +0200 (Sat, 21 Apr 2001) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/plugins/x11/vout_x11.c


  * X11 fullscreen mode, courtesy of David Kennedy <dkennedy@tinytoad.com>

------------------------------------------------------------------------
r849 | sam | 2001-04-22 00:49:24 +0200 (Sun, 22 Apr 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c


  * XVideo fullscreen mode by David Kennedy <dkennedy@tinytoad.com>.

------------------------------------------------------------------------
r850 | stef | 2001-04-22 02:08:26 +0200 (Sun, 22 Apr 2001) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c

-better handling of angles: you should be able to change on the fly now

-removed ?\239?\191?\189 bug added at my last commit in css code; cleaned CSSGetKey

-various changes and bugfixes in the gnome interface.

------------------------------------------------------------------------
r851 | benny | 2001-04-25 08:56:47 +0200 (Wed, 25 Apr 2001) | 3 lines
Changed paths:
   M /trunk/src/interface/intf_msg.c

Get rid of the asprintf that were slow and not available on Solaris. Didn't
check if the new code still compiles everywhere, but it should.

------------------------------------------------------------------------
r852 | sam | 2001-04-25 11:31:14 +0200 (Wed, 25 Apr 2001) | 5 lines
Changed paths:
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c


  * Updated the TODO list.
  * Fixed benny's latest C++ism.
  * Fonts not found are no longer fatal to the video output.

------------------------------------------------------------------------
r853 | massiot | 2001-04-25 12:22:33 +0200 (Wed, 25 Apr 2001) | 5 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_ext-dec.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c

* Fixed an alignment issue with the bit stream and the bit stream
callback on startup - InitBitstream prototype has changed ;
* Removed a buffer zeroing in video output - doesn't change anything
for me, does it for you ?

------------------------------------------------------------------------
r854 | massiot | 2001-04-25 22:54:07 +0200 (Wed, 25 Apr 2001) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

* Removed my optimization attempt.

------------------------------------------------------------------------
r855 | reno | 2001-04-26 02:12:19 +0200 (Thu, 26 Apr 2001) | 5 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c

* Follow of the new ac3_decoder ;)
  - New ac3_mantissa (use of dithflag, new unpack)
  - Correction of an introducing counting bug in ac3_parse
    (i forget 2 bits in total_bits_read)

------------------------------------------------------------------------
r856 | sam | 2001-04-26 05:55:44 +0200 (Thu, 26 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/input/input_clock.c


  * Commited Shane's XVideo patches. It works here (tm).
  * Fixed the XVideo aspect ratio (AR_SQUARE_PICTURE means square pixels,
    not square image).

------------------------------------------------------------------------
r857 | sam | 2001-04-26 13:23:16 +0200 (Thu, 26 Apr 2001) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c


  * Fixed the ac3dec compilation under BeOS.
  * Removed a useless #include in aout_sdl.c.

------------------------------------------------------------------------
r858 | sam | 2001-04-27 18:08:26 +0200 (Fri, 27 Apr 2001) | 11 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/doc/vlc.1
   M /trunk/include/defs.h.in
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/text/Makefile
   A /trunk/plugins/text/intf_rc.c
   A /trunk/plugins/text/rc.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/misc/netutils.c


  * Fixed the continuous 'seeking position' bug in network mode.
  * rc interface plugin for vlc control through /dev/stdin courtesy
    of Peter Surda <shurdeek@panorama.sth.ac.at>.
  * Support for `ts://foo:42' style input source:
     vlc ts://vls.via.ecp.fr:1234
     vlc ts://vls.via.ecp.fr
     vlc ts:vls
     vlc ts:vls:4321
    As a side effect, the Gnome and Gtk "network input" buttons work.

------------------------------------------------------------------------
r859 | henri | 2001-04-27 20:07:57 +0200 (Fri, 27 Apr 2001) | 9 lines
Changed paths:
   M /trunk/include/netutils.h
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


Repaired broadcast support : binding INADDR_ANY doesn't seem to work.

You now have to specify the broadcast address as an argument.
Btw, thanks to sam, you can now use ts://server:port style, which gives
for broadcast :

vlc --broadcast broadcast_addr ts://server[:port]

------------------------------------------------------------------------
r860 | massiot | 2001-04-27 21:29:11 +0200 (Fri, 27 Apr 2001) | 6 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/include/intf_msg.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_parser/vpar_synchro.c

Change --enable-debug into --enable-trace. Same with DEBUG_*.
--enable-debug still exists, but only activates -g and additional
safety checks.

I hope I didn't break anything :))

------------------------------------------------------------------------
r861 | stef | 2001-04-28 01:29:14 +0200 (Sat, 28 Apr 2001) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ps.c

-fixed a segfault added in last commit: initilisation of p_cache was
done inside a #ifdef DEBUG

It still segfaults for me on exit.

------------------------------------------------------------------------
r862 | henri | 2001-04-28 02:28:52 +0200 (Sat, 28 Apr 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   A /trunk/doc/vlc-howto.sgml


Added a howto. Feel free to correct it. I'll put it on the website soon.

------------------------------------------------------------------------
r863 | sam | 2001-04-28 05:36:26 +0200 (Sat, 28 Apr 2001) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/GNUgetopt/getopt.c
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/modules.h
   M /trunk/include/threads.h
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mpeg/input_es.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/plugins/yuv/transforms_yuvmmx.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_channels.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c


  * Coding style fixes here and there.
  * Miscellaneous QNX compile fixes.
  * Beginning of the mingw32 port by Gildas Bazin <gbazin@netcourrier.com>.
  * Added Marcari and Gildas to the AUTHORS file.

  (I commited the mingw32 port because it doesn't add any new code outside
   the #ifdefs, but we won't tell a word about it for the moment. We don't
   really need windows users whining about bugs, do we ?)

------------------------------------------------------------------------
r864 | sam | 2001-04-28 06:09:38 +0200 (Sat, 28 Apr 2001) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


  * Don't use the #@%&$! autoconf-suggested CFLAGS.

------------------------------------------------------------------------
r865 | sam | 2001-04-28 06:47:20 +0200 (Sat, 28 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/audio_output/aout_s16.c


  * Fixed a nonsense in configure.in preventing to build sdl.so.
  * Removed a few stupid debug instructions in aout_s16.c that should
    have never been commited. Sorry about that.

------------------------------------------------------------------------
r866 | henri | 2001-04-28 07:08:01 +0200 (Sat, 28 Apr 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/vlc.spec


Updated files for 0.2.73 release

------------------------------------------------------------------------
r867 | sam | 2001-04-28 07:12:05 +0200 (Sat, 28 Apr 2001) | 3 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/debian/control
   M /trunk/debian/rules


  * Updated debian control files and disabled ALSA for this version.

------------------------------------------------------------------------
r868 | henri | 2001-04-29 01:19:19 +0200 (Sun, 29 Apr 2001) | 4 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_netlist.c


- Fixed a bug in TS input. It should be more smooth now
- Fixed the pace control. Meuuh, could you check ?

------------------------------------------------------------------------
r869 | stef | 2001-04-29 04:48:51 +0200 (Sun, 29 Apr 2001) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/main.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/intf_gnome.c
   A /trunk/src/ac3_spdif
   A /trunk/src/ac3_spdif/ac3_iec958.c
   A /trunk/src/ac3_spdif/ac3_iec958.h
   A /trunk/src/ac3_spdif/ac3_spdif.c
   A /trunk/src/ac3_spdif/ac3_spdif.h
   M /trunk/src/audio_output/aout_common.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/main.c

-new audio output using direct ac3 pass-through with some sound
cards: it sends raw ac3 frames to an external ac3 decoder. It is very
experimental yet, hasn't any synchro ... but it works well with my
sblive and my dtt3500 speakers (note that you need a patched emu10k1
driver for this to work).

-bug fix in gnome intf thanks to Shane Harper.

-bug fix in input_dvd for chapter change.

------------------------------------------------------------------------
r870 | stef | 2001-04-29 04:55:36 +0200 (Sun, 29 Apr 2001) | 2 lines
Changed paths:
   A /trunk/src/audio_output/aout_spdif.c

Forgot one file.

------------------------------------------------------------------------
r871 | stef | 2001-04-29 16:52:42 +0200 (Sun, 29 Apr 2001) | 11 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/video_parser/video_parser.c

-slight modification in ClockManageRef: after a synchro reinit, we still
do the mwait and re-init last-cr so that there no date irregularity.
Such a thing is necessary for dvd playback at cell change ; however,
Meuuh, could you look at that since you might think we should do
otherwise.

-turned the "bitsream callback discontinuity" message to debug.

-removed modification of the title environnement variable in input dvd
at title change since we no longer restart the input at title change.

------------------------------------------------------------------------
r872 | sam | 2001-04-29 19:03:20 +0200 (Sun, 29 Apr 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/src/misc/beos_specific.cpp


  * BeOS crash fix by Wade Majors <guru@startrek.com>.

    Please, try no to forget the ChangeLog when commiting!

------------------------------------------------------------------------
r873 | stef | 2001-04-29 19:57:50 +0200 (Sun, 29 Apr 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/dvd/input_dvd.c

-Fixed the title-change-with-no-input-restart in dvd.

-I haven't forgotten the chagelog this time :)

------------------------------------------------------------------------
r874 | massiot | 2001-04-30 11:44:26 +0200 (Mon, 30 Apr 2001) | 2 lines
Changed paths:
   M /trunk/Makefile.opts.in

Fixed a mistake with -g and --enable-debug.

------------------------------------------------------------------------
r875 | massiot | 2001-04-30 17:01:00 +0200 (Mon, 30 Apr 2001) | 2 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/doc/todo
   M /trunk/include/intf_msg.h
   D /trunk/include/rsc_files.h
   M /trunk/src/interface/interface.c
   D /trunk/src/interface/intf_cmd.c
   D /trunk/src/interface/intf_cmd.h
   D /trunk/src/interface/intf_console.c
   D /trunk/src/interface/intf_console.h
   D /trunk/src/interface/intf_ctrl.c
   D /trunk/src/interface/intf_ctrl.h
   M /trunk/src/interface/intf_msg.c
   D /trunk/src/misc/rsc_files.c

Removed unused files.

------------------------------------------------------------------------
r876 | reno | 2001-04-30 23:04:20 +0200 (Mon, 30 Apr 2001) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix.h
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   A /trunk/src/ac3_decoder/ac3_imdct_c.c
   A /trunk/src/ac3_decoder/ac3_imdct_c.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   A /trunk/src/ac3_decoder/ac3_srfft.c
   A /trunk/src/ac3_decoder/ac3_srfft.h

* Follow of the new ac3_decoder ;)
  - New ac3_imdct
  - New ac3_downmix

------------------------------------------------------------------------
r877 | reno | 2001-04-30 23:10:25 +0200 (Mon, 30 Apr 2001) | 2 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_imdct_c.h
   M /trunk/src/ac3_decoder/ac3_srfft.c
   M /trunk/src/ac3_decoder/ac3_srfft.h

I forgot some headers

------------------------------------------------------------------------
r878 | sam | 2001-05-01 06:18:18 +0200 (Tue, 01 May 2001) | 19 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/doc/vlc.1
   M /trunk/include/audio_output.h
   M /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_builtin.h.in
   M /trunk/include/video_output.h
   M /trunk/plugins/alsa/Makefile
   M /trunk/plugins/beos/Makefile
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/darwin/Makefile
   M /trunk/plugins/dsp/Makefile
   M /trunk/plugins/dummy/Makefile
   M /trunk/plugins/dvd/Makefile
   M /trunk/plugins/esd/Makefile
   M /trunk/plugins/fb/Makefile
   M /trunk/plugins/ggi/Makefile
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/motion/Makefile
   M /trunk/plugins/mpeg/Makefile
   M /trunk/plugins/null/Makefile
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/sdl/Makefile
   M /trunk/plugins/text/Makefile
   M /trunk/plugins/text/intf_rc.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/x11/Makefile
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/plugins/yuv/Makefile
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/ac3_spdif/ac3_iec958.c
   M /trunk/src/ac3_spdif/ac3_iec958.h
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/ac3_spdif/ac3_spdif.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/audio_output/aout_common.h
   A /trunk/src/audio_output/aout_ext-dec.c
   D /trunk/src/audio_output/aout_fifo.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.h
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/vlc.spec


  * Mandatory step for video output IV and the audio output quality
    fix: the output threads are now spawned when a decoder needs one,
    so it can decide the audio frequency or the video window size. Still
    under heavy construction, so don't get too excited at finding bugs
    in it yet.

    Note: this change broke the XVideo module, so I made its score much
    lower than before. I suspect xvideo.so had a bug before which only
    appears now. Other video output plugins may be broken as well, but
    again this might be due to old existing bugs showing their ugly head.

  * Fixed a few buffer overflows in the Gnome interface.
  * The module bank is now a global variable. The video output bank and
    the audio output bank might follow (when they exist).
  * Coding style and organization fixes to the spdif decoder.
  * autoconf and Makefile changes by Arnaud Gomes-do-Vale
    <arnaud@carrosse.frmug.org>.

------------------------------------------------------------------------
r879 | sam | 2001-05-01 14:22:18 +0200 (Tue, 01 May 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/README
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/text/intf_rc.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c


  * Fixed a segfault in the SPU decoder initialization.

------------------------------------------------------------------------
r880 | sam | 2001-05-01 17:12:22 +0200 (Tue, 01 May 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c


  * Fixed a remaining buffer overflow in the Gnome interface and applied
    the patches to the Gtk+ interface.

------------------------------------------------------------------------
r881 | henri | 2001-05-02 15:30:30 +0200 (Wed, 02 May 2001) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/doc/vlc-howto.sgml
   M /trunk/src/input/mpeg_system.c


* Corrected vlc-howto thanks to Arnaud Gomes-do-Vale
* Fixed a segfault in TS input. Some stream still do not work, or
  work very slowly with many error messages. I'll try to have a look.

------------------------------------------------------------------------
r882 | sam | 2001-05-02 22:01:44 +0200 (Wed, 02 May 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_ioctl.h


  * FreeBSD CSS decryption support.

------------------------------------------------------------------------
r883 | dae | 2001-05-05 15:36:27 +0200 (Sat, 05 May 2001) | 3 lines
Changed paths:
   A /trunk/plugins/kde
   A /trunk/plugins/kde/Makefile
   A /trunk/plugins/kde/intf_plugin.h
   A /trunk/plugins/kde/kde.cpp
   A /trunk/plugins/kde/kdeinterface.cpp
   A /trunk/plugins/kde/kdeinterface.h
   A /trunk/plugins/kde/kdiskdialog.cpp
   A /trunk/plugins/kde/kdiskdialog.h
   A /trunk/plugins/kde/kinterfacemain.cpp
   A /trunk/plugins/kde/kinterfacemain.h
   A /trunk/plugins/kde/knetdialog.cpp
   A /trunk/plugins/kde/knetdialog.h
   A /trunk/plugins/kde/ktitlemenu.cpp
   A /trunk/plugins/kde/ktitlemenu.h
   A /trunk/plugins/kde/kvlcslider.cpp
   A /trunk/plugins/kde/kvlcslider.h
   A /trunk/plugins/kde/kvlcui.rc

initial import - still buggy, crashes on exit, etc.
the playlist and the popup are unimplemented.

------------------------------------------------------------------------
r884 | sam | 2001-05-06 06:32:03 +0200 (Sun, 06 May 2001) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/include/audio_output.h
   M /trunk/include/beos_specific.h
   M /trunk/include/config.h.in
   M /trunk/include/darwin_specific.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/netutils.h
   M /trunk/include/video_decoder.h
   A /trunk/include/video_fifo.h
   M /trunk/include/video_output.h
   A /trunk/include/video_parser.h
   A /trunk/include/vpar_headers.h
   A /trunk/include/vpar_synchro.h
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/idct/idct.c
   D /trunk/plugins/idct/idct.h
   D /trunk/plugins/idct/idct_common.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   A /trunk/plugins/idct/vdec_block.h
   A /trunk/plugins/idct/vdec_block_c.c
   A /trunk/plugins/idct/vdec_block_mmx.c
   A /trunk/plugins/idct/vdec_idct.c
   A /trunk/plugins/idct/vdec_idct.h
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/text/intf_rc.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_imdct_c.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/ac3_decoder/ac3_srfft.c
   M /trunk/src/ac3_spdif/ac3_iec958.c
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/darwin_specific.c
   M /trunk/src/misc/modules.c
   M /trunk/src/spu_decoder/spu_decoder.c
   D /trunk/src/video_decoder/vdec_idct.h
   M /trunk/src/video_decoder/video_decoder.c
   D /trunk/src/video_decoder/video_fifo.h
   D /trunk/src/video_decoder/video_parser.h
   D /trunk/src/video_decoder/vpar_headers.h
   D /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


  * Fixed a few warnings with gcc 3.0.
  * aout and vout are now allocated in banks, making it possible to have
    several of them at the same time.
  * configure now checks for MMX and MMX EXT support in the assembler.
  * Removed all MMX code from the main program and moved it to the
    existing idct modules (Closes: Debian bug #96036).

    Don't forget to make distclean before building vlc again.

------------------------------------------------------------------------
r885 | stef | 2001-05-06 20:32:30 +0200 (Sun, 06 May 2001) | 22 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/include/config.h.in
   M /trunk/include/video_output.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/Makefile
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_interface.h
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/plugins/gtk/intf_gtk.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/ac3_spdif/ac3_iec958.c
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/ac3_spdif/ac3_spdif.h
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input.c
   M /trunk/src/video_output/video_output.c

*Much work on the gnome interface: added oct's playlist from gtk plugin,
tuned appearence, added preferences window (with no features yet), jump
window to go to specified time (not functionnal yet), and fixed some
bugs.

*moved b_fullscreen from p_vout->p_sys to p_vout and unified way of
toggling fullscreen in sdl in x11/xvideo output (using p_vout->i_ch
nges) so that an interface plugin can toogle fullscreen (implemented
in gnome)

*added p_input->stream.p_selected_area->i_tell in input TS so that the
slider work with ts files ( however, the time counter doesn't since we
have no mux_rate )

*improved ac3 spdif output ( and made it work again :)). It uses a true
blank frame now, and it allows to switch languages like a traditionnal
output. It doesn't support multiplexing though, neither can we switch
between spdif/analogical mode on-the-fly.

*beginning of the back port of gnome to gtk for those who do not have
gnome.

------------------------------------------------------------------------
r886 | stef | 2001-05-06 20:41:52 +0200 (Sun, 06 May 2001) | 2 lines
Changed paths:
   A /trunk/plugins/gnome/gnome_playlist.c
   A /trunk/plugins/gnome/gnome_playlist.h

* Gnome playlist should work better with the files to create it :)

------------------------------------------------------------------------
r887 | stef | 2001-05-07 05:14:10 +0200 (Mon, 07 May 2001) | 8 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_playlist.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/intf_playlist.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

*Changed the level arg in intf_WarnMsg so that it is more logical: the
level corresponds now to the nb of -v to display the message.

*added functionnal preference window in gnome: it changes the
envirronment variables

*added jump window in gnome to jump to a precise time.

------------------------------------------------------------------------
r888 | henri | 2001-05-07 06:35:21 +0200 (Mon, 07 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c

Added detection for ".ts" extension.

------------------------------------------------------------------------
r889 | sam | 2001-05-07 06:42:42 +0200 (Mon, 07 May 2001) | 6 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_output/video_output.c


  * Added support for some terribly braindead DVD subtitles in Kenshin
    which do not have a "stop display" command. Anime fans rejoice!
  * Fixed the BeOS interface to use p_aout_bank instead of p_main->p_aout.
  * Coding-style butchery (mostly tabs).

------------------------------------------------------------------------
r890 | bozo | 2001-05-07 15:52:39 +0200 (Mon, 07 May 2001) | 3 lines
Changed paths:
   M /trunk/src/input/input_ext-dec.c

  - fix a bug in UnalignedShowBits that makes some _heavy_ unaligned streams
    not wotk correctly (for instance VLS' generated TS streams)

------------------------------------------------------------------------
r891 | sam | 2001-05-08 02:43:57 +0200 (Tue, 08 May 2001) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/video_output/video_output.c


  * Speed optimization in the handling of the unusual ephemer DVD subtitles.
  * Little optimization to bozo's UnalignedShowBits fix.
  * Race fix in the packet cache by Jon Lech Johansen <jon-vl@nanocrew.net>.

------------------------------------------------------------------------
r892 | bozo | 2001-05-08 14:53:30 +0200 (Tue, 08 May 2001) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c

  - fix a bug in ts input.
    Henri: a 0.5s timeout is not (time_t)0.5 sec and (time_t)0 usec
    but (time_t)0 sec and (time_t)500000 usec
    Now the input doesn't eat all the cpu any more :p

------------------------------------------------------------------------
r893 | bozo | 2001-05-08 16:38:30 +0200 (Tue, 08 May 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_clock.c

  - fix a discontinuity bug in input_ClockManageRef()

------------------------------------------------------------------------
r894 | bozo | 2001-05-08 16:53:31 +0200 (Tue, 08 May 2001) | 2 lines
Changed paths:
   M /trunk/src/input/input_clock.c

end of the last commit :-P

------------------------------------------------------------------------
r895 | sam | 2001-05-08 22:38:25 +0200 (Tue, 08 May 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h
   M /trunk/src/video_parser/video_fifo.c


  * Fixed an aspect ratio issue in the SPU decoder, and optimized the
    SPU renderer.

------------------------------------------------------------------------
r896 | sam | 2001-05-10 08:47:31 +0200 (Thu, 10 May 2001) | 9 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h


  * Added SPU cropping.
  * Gnome interface segfault fix.
  * BeOS interface segfault fix by AnEvilYak (what's you real name btw?).

  Note: if you want to have a look at the currently buggy YUV subpictures,
        uncomment line 1999 of src/video_output/video_output.c. Don't report
        bugs about this, I _know_ it's a quick hack.

------------------------------------------------------------------------
r897 | henri | 2001-05-11 03:03:14 +0200 (Fri, 11 May 2001) | 7 lines
Changed paths:
   M /trunk/plugins/alsa/aout_alsa.c

Alsa module now builds with alsa 0.9 thanks to Jeffrey Baker's patch
(jwbaker@acm.org)

Please notice that even if if builds with alsa 0.9beta, it's hardly
usable as it goes very often un Xrun mode. Though, it works fine with
current alsa CVS.

------------------------------------------------------------------------
r898 | sam | 2001-05-11 17:10:01 +0200 (Fri, 11 May 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h


  * Fixed a deadlock in spudec.

------------------------------------------------------------------------
r899 | henri | 2001-05-12 02:14:20 +0200 (Sat, 12 May 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/doc/vlc-howto.sgml


Put a little note in the doc about "dvd devices"

------------------------------------------------------------------------
r900 | reno | 2001-05-14 17:58:04 +0200 (Mon, 14 May 2001) | 9 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/tests.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix.h
   A /trunk/src/ac3_decoder/ac3_downmix_3dn.c
   M /trunk/src/ac3_decoder/ac3_downmix_c.c
   A /trunk/src/ac3_decoder/ac3_downmix_sse.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_imdct_c.c
   A /trunk/src/ac3_decoder/ac3_imdct_sse.c
   A /trunk/src/ac3_decoder/ac3_imdct_sse.h
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/ac3_decoder/ac3_srfft.c
   M /trunk/src/ac3_decoder/ac3_srfft.h
   A /trunk/src/ac3_decoder/ac3_srfft_sse.c
   M /trunk/src/interface/main.c

 * Begin of SSE/3DNow! support for imdct and downmix

If you have a PIII or a Athlon and you want to try this, just comment #if 0
in ac3_downmix.c and ac3_imdct.c and add in AC3_DECODER section of Makefile :
	src/ac3_decoder/ac3_imdct_sse.o \
	src/ac3_decoder/ac3_srfft_sse.o \
	src/ac3_decoder/ac3_downmix_sse.o \
	src/ac3_decoder/ac3_downmix_3dn.o \

------------------------------------------------------------------------
r901 | stef | 2001-05-15 03:01:44 +0200 (Tue, 15 May 2001) | 14 lines
Changed paths:
   M /trunk/include/intf_playlist.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gnome/gnome_callbacks.c
   M /trunk/plugins/gnome/gnome_callbacks.h
   M /trunk/plugins/gnome/gnome_interface.c
   M /trunk/plugins/gnome/gnome_playlist.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/intf_gnome.glade
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   A /trunk/plugins/gtk/gtk_control.c
   A /trunk/plugins/gtk/gtk_control.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   A /trunk/plugins/gtk/gtk_menu.c
   A /trunk/plugins/gtk/gtk_menu.h
   A /trunk/plugins/gtk/gtk_modules.c
   A /trunk/plugins/gtk/gtk_modules.h
   A /trunk/plugins/gtk/gtk_open.c
   A /trunk/plugins/gtk/gtk_open.h
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_playlist.h
   A /trunk/plugins/gtk/gtk_preferences.c
   A /trunk/plugins/gtk/gtk_preferences.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/plugins/gtk/intf_gtk.h
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_playlist.c

*initialization bugfixes in input_dvd

*added a b_stopped flag to interface playlist to have a stop function in
interface plugins. As a consequence, the playlist no longer loops on end
but wait for the user to press 'play' or to add another item (gtk/gnome
interface). I think that other plugins are broken but it shouldn't be
difficult to repair: just add a 'p_main->p_playlist->b_stopped = 0' in
play functions and 'p_main->p_playlist->b_stopped = 1' when you have to
stop.

*Updated gtk interface so that it has the same features as gnome. I
think I will merge the code so that we don't have to copy and paste each
change. Only the .glade file would be different.

------------------------------------------------------------------------
r902 | stef | 2001-05-15 16:49:48 +0200 (Tue, 15 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_control.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_menu.h
   M /trunk/plugins/gtk/gtk_modules.c
   M /trunk/plugins/gtk/gtk_modules.h
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_open.h
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_playlist.h
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/gtk/gtk_preferences.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_playlist.c

*Bugfixes, cleanings in gtk.

------------------------------------------------------------------------
r903 | sam | 2001-05-15 18:19:42 +0200 (Tue, 15 May 2001) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/doc/vlc.1
   A /trunk/include/ac3_downmix.h
   A /trunk/include/ac3_imdct.h
   M /trunk/include/config.h.in
   M /trunk/include/modules.h
   A /trunk/plugins/downmix
   A /trunk/plugins/downmix/.cvsignore
   A /trunk/plugins/downmix/Makefile
   A /trunk/plugins/downmix/ac3_downmix_3dn.c
   A /trunk/plugins/downmix/ac3_downmix_c.c
   A /trunk/plugins/downmix/ac3_downmix_common.h
   A /trunk/plugins/downmix/ac3_downmix_sse.c
   A /trunk/plugins/downmix/downmix.c
   A /trunk/plugins/downmix/downmix3dn.c
   A /trunk/plugins/downmix/downmixsse.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   A /trunk/plugins/imdct
   A /trunk/plugins/imdct/.cvsignore
   A /trunk/plugins/imdct/Makefile
   A /trunk/plugins/imdct/ac3_imdct_c.c
   A /trunk/plugins/imdct/ac3_imdct_common.c
   A /trunk/plugins/imdct/ac3_imdct_common.h
   A /trunk/plugins/imdct/ac3_imdct_sse.c
   A /trunk/plugins/imdct/ac3_srfft.h
   A /trunk/plugins/imdct/ac3_srfft_c.c
   A /trunk/plugins/imdct/ac3_srfft_sse.c
   A /trunk/plugins/imdct/imdct.c
   A /trunk/plugins/imdct/imdctsse.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   D /trunk/src/ac3_decoder/ac3_downmix.c
   D /trunk/src/ac3_decoder/ac3_downmix.h
   D /trunk/src/ac3_decoder/ac3_downmix_3dn.c
   D /trunk/src/ac3_decoder/ac3_downmix_c.c
   D /trunk/src/ac3_decoder/ac3_downmix_sse.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   A /trunk/src/ac3_decoder/ac3_exponent.h
   M /trunk/src/ac3_decoder/ac3_imdct.c
   D /trunk/src/ac3_decoder/ac3_imdct_c.c
   D /trunk/src/ac3_decoder/ac3_imdct_c.h
   D /trunk/src/ac3_decoder/ac3_imdct_sse.c
   D /trunk/src/ac3_decoder/ac3_imdct_sse.h
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   A /trunk/src/ac3_decoder/ac3_mantissa.h
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   D /trunk/src/ac3_decoder/ac3_srfft.c
   D /trunk/src/ac3_decoder/ac3_srfft.h
   D /trunk/src/ac3_decoder/ac3_srfft_sse.c
   M /trunk/src/audio_output/aout_u8.c
   M /trunk/src/interface/main.c


  * AC3 IMDCT and downmix functions are now in plugins, --imdct and
    --downmix options added.

------------------------------------------------------------------------
r904 | sam | 2001-05-15 21:36:27 +0200 (Tue, 15 May 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/imdct/ac3_imdct_common.c
   M /trunk/src/interface/main.c


  * FreeBSD pthread fixes.

------------------------------------------------------------------------
r905 | sam | 2001-05-16 04:12:38 +0200 (Wed, 16 May 2001) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


  * We now do pthread detection for FreeBSD like the XMMS guys do. It
    works even better.

------------------------------------------------------------------------
r906 | reno | 2001-05-16 16:51:29 +0200 (Wed, 16 May 2001) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/imdct/Makefile
   A /trunk/plugins/imdct/ac3_imdct_3dn.c
   M /trunk/plugins/imdct/ac3_imdct_c.c
   M /trunk/plugins/imdct/ac3_imdct_common.c
   M /trunk/plugins/imdct/ac3_imdct_common.h
   M /trunk/plugins/imdct/ac3_imdct_sse.c
   A /trunk/plugins/imdct/ac3_retables.h
   A /trunk/plugins/imdct/ac3_srfft_3dn.c
   M /trunk/plugins/imdct/ac3_srfft_sse.c
   A /trunk/plugins/imdct/imdct3dn.c
   M /trunk/src/ac3_decoder/ac3_imdct.c

* Add 3D Now! imdct
* Remove kmudge for ac3 on MacOS X

------------------------------------------------------------------------
r907 | xav | 2001-05-18 11:49:16 +0200 (Fri, 18 May 2001) | 2 lines
Changed paths:
   M /trunk/src/misc/netutils.c

*** empty log message ***

------------------------------------------------------------------------
r908 | stef | 2001-05-19 02:39:30 +0200 (Sat, 19 May 2001) | 15 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/Makefile
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_css.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   A /trunk/plugins/dvd/dvd_summary.c
   A /trunk/plugins/dvd/dvd_summary.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_menu.h
   M /trunk/plugins/gtk/gtk_playlist.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.h
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c

*More cleanification in gtk interface: now to change the
title/chapter/audio/spu/angle, we tell the input to do intead of doing
it inside the interface. It results in fewer locks during the changes.

*The dvd plugin reads again blocks of 32 sectors to gain speed since
there are no more lock-ups during stream change. I've also created a new
file that contain function to described video and audio streams with ifo
datas.

The changes are made only for gtk. We should update the other interfaces
soon (beos at least).

There is a memory corruption somewhere that make the vlc crash. I've no
idea where to search.

------------------------------------------------------------------------
r909 | tcastley | 2001-05-21 14:44:23 +0200 (Mon, 21 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/beos/intf_beos.cpp

Updated with new changes for playlist management

------------------------------------------------------------------------
r910 | stef | 2001-05-23 19:47:34 +0200 (Wed, 23 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/src/input/input_programs.c

-LPCM audio selection in ps mode, in prevision of henri's decoder.

------------------------------------------------------------------------
r911 | stef | 2001-05-24 01:08:20 +0200 (Thu, 24 May 2001) | 6 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/plugins/gnome
   M /trunk/plugins/gtk/Makefile
   A /trunk/plugins/gtk/gnome.c
   A /trunk/plugins/gtk/gnome_callbacks.c
   A /trunk/plugins/gtk/gnome_callbacks.h
   A /trunk/plugins/gtk/gnome_interface.c
   A /trunk/plugins/gtk/gnome_interface.h
   A /trunk/plugins/gtk/gnome_support.c
   A /trunk/plugins/gtk/gnome_support.h
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_control.c
   A /trunk/plugins/gtk/gtk_display.c
   A /trunk/plugins/gtk/gtk_display.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_modules.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_preferences.c
   A /trunk/plugins/gtk/intf_gnome.c
   A /trunk/plugins/gtk/intf_gnome.glade
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/plugins/gtk/intf_gtk.h

-Unification of gnome/gtk intefaces: now all the file are in plugin/gtk.

Specific files are glade generated files and intf_* files. All the
remainders are common to gtk and gnome and contain all the callbacks for
both interfaces.

------------------------------------------------------------------------
r912 | stef | 2001-05-24 01:40:32 +0200 (Thu, 24 May 2001) | 2 lines
Changed paths:
   M /trunk/Makefile

-A little bug with lpcm in Makefile

------------------------------------------------------------------------
r913 | stef | 2001-05-24 03:24:47 +0200 (Thu, 24 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/intf_gnome.glade

-Forgot a bug for audio/spu change in the interface

------------------------------------------------------------------------
r914 | sam | 2001-05-25 06:23:37 +0200 (Fri, 25 May 2001) | 19 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   M /trunk/extras/MacOSX_dvdioctl/DVDioctl.h
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/src/audio_output/audio_output.c


  OS X fixes:

  * Applied Eugenio's fix to the DVDioctl driver. I didn't test it, but
    it should not hang the kernel anymore.

  * Ported most dvd_ioctl.c functions to the DVDioctl driver: ReportAgid,
    ReportChallenge, ReportKey1, ReportASF, InvalidateAgid, SendChallenge,
    SendKey2. They should comply with the "Mt. Fuji Commands for Multimedia
    Devices" paper.

    Last remaining problem: ReadCopyright and ReadKey. The version of
 Darwin I have here only has reportKey() and sendKey() functions in
 the IODVDBlockStorageDevice class (pages 413 and 449 of the Mt. Fuji
 paper), but we also need the READ_STRUCTURE (page 357) which I couldn't
 find anywhere in the kernel headers. Either I missed it, or we'll have
 to wait for Apple to implement it (or maybe we can emulate this command
 with some other IOKit commands).

------------------------------------------------------------------------
r915 | sam | 2001-05-25 06:44:49 +0200 (Fri, 25 May 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ioctl.h


  * Forgot a file for BeOS.

------------------------------------------------------------------------
r916 | sam | 2001-05-25 15:20:10 +0200 (Fri, 25 May 2001) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/macosx_common.h
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/src/input/input.c


  * Fixed a warning for *BSD compilation.
  * Fixed a typo in yesterday's Darwin ioctl fixes.
  * Patch by Eugenio so that the OS X interface and video output handle the
    aout and vout banks.

------------------------------------------------------------------------
r917 | sam | 2001-05-27 17:16:58 +0200 (Sun, 27 May 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_ioctl.c


  * Fixed my latest BeOS support breakage.

------------------------------------------------------------------------
r918 | sam | 2001-05-28 04:38:48 +0200 (Mon, 28 May 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/netutils.h
   M /trunk/plugins/imdct/ac3_imdct_3dn.c
   M /trunk/plugins/imdct/ac3_imdct_sse.c
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/src/misc/netutils.c


  * Win32 compilation fixes, esp. the MAC retrieval.

------------------------------------------------------------------------
r919 | sam | 2001-05-28 04:44:39 +0200 (Mon, 28 May 2001) | 3 lines
Changed paths:
   M /trunk/src/misc/netutils.c


  * Forgot a little #ifdef, sorry.

------------------------------------------------------------------------
r920 | sam | 2001-05-28 04:54:09 +0200 (Mon, 28 May 2001) | 3 lines
Changed paths:
   M /trunk/src/misc/netutils.c


  * Of course my Win32 patch broke the Un*x version.

------------------------------------------------------------------------
r921 | xav | 2001-05-28 05:17:01 +0200 (Mon, 28 May 2001) | 6 lines
Changed paths:
   M /trunk/src/input/input.c

Modified in order to add network input under Win32.
It compiles under Linux and Win32 (yeeaaahaaa, haven't broken anything
:-))
(added the WinSock library initialization and cleanup)
Could someone test if it does really function ?

------------------------------------------------------------------------
r922 | sam | 2001-05-28 06:23:52 +0200 (Mon, 28 May 2001) | 7 lines
Changed paths:
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/input_ts.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_netlist.c


  * Added a wrapper for readv() on platforms which don't support it. The
    network support now compiles under Win32, but still doesn't work, the
    select in plugins/mpeg/input_ts.c never returns any data.

    Is there anything like strace(1) under Win32 to debug this ?

------------------------------------------------------------------------
r923 | stef | 2001-05-29 15:53:16 +0200 (Tue, 29 May 2001) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/intf_gnome.glade

*Fixed a bug with Previous chapter button in gnome

------------------------------------------------------------------------
r924 | stef | 2001-05-30 07:19:03 +0200 (Wed, 30 May 2001) | 6 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/include/config.h.in
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/gtk/intf_gnome.glade
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c

-Changes and bugfixes to make network work in VLAN Broadcast mode.

-Bugfix in the interface to access the network specific features.

-Some base of synchro in ac3 spdif

------------------------------------------------------------------------
r925 | sam | 2001-05-30 19:03:13 +0200 (Wed, 30 May 2001) | 12 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/control-css
   M /trunk/debian/rules
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/input.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/intf_playlist.h
   D /trunk/include/intf_urldecode.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/include/netutils.h
   M /trunk/include/tests.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/darwin/darwin.c
   M /trunk/plugins/downmix/downmix.c
   M /trunk/plugins/downmix/downmix3dn.c
   M /trunk/plugins/downmix/downmixsse.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gtk/Makefile
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_control.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/gtk/intf_gnome.c
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/idct/Makefile
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/idct/vdec_block.h
   M /trunk/plugins/idct/vdec_block_c.c
   M /trunk/plugins/idct/vdec_block_mmx.c
   M /trunk/plugins/imdct/imdct.c
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg/es.c
   M /trunk/plugins/mpeg/input_es.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/ps.c
   M /trunk/plugins/mpeg/ts.c
   M /trunk/plugins/null/null.c
   M /trunk/plugins/qt/Makefile
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/qt/qt.cpp
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/vout_xvideo.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuv/yuvmmx.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/intf_playlist.c
   D /trunk/src/interface/intf_urldecode.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/tests.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c


  * Fixed the BeOS compile typo.
  * The ALSA plugin is back.
  * A gift for Gildas: plugins don't rely on backlinking any more. The
    drawback is the dirty magic in include/modules_export.h which has to
    be included whenever a module needs one of the functions in it. But
     a) we should less and less rely on those functions
     b) no plugin code modification was needed

   The BeOS and MacOS X modules may be broken when compiled as plugins,
   I'll check this later when I can reboot under BeOS.

------------------------------------------------------------------------
r926 | sam | 2001-05-30 19:04:12 +0200 (Wed, 30 May 2001) | 3 lines
Changed paths:
   A /trunk/include/modules_export.h


  * Hrmpf. Forgot the most important file.

------------------------------------------------------------------------
r927 | sam | 2001-05-31 00:16:07 +0200 (Thu, 31 May 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input.c


  * Fixed a bug introduced in my previous commit which broke DVD input.

------------------------------------------------------------------------
r928 | stef | 2001-05-31 01:02:04 +0200 (Thu, 31 May 2001) | 8 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/include/modules_export.h
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_open.h
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/intf_gnome.c
   M /trunk/plugins/gtk/intf_gnome.glade
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/gtk/intf_gtk.glade
   M /trunk/plugins/imdct/ac3_imdct_3dn.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c

-Updated the gtk/gnome interface to work in network mode,

-Fixed some bugs in interface (language menus in ts, misnamed fields)

-Play/Stop work in network mode to start/stop decoding of the stream

I have a segfault in imdct_3dn(93). But I can't underdand assembly.

------------------------------------------------------------------------
r929 | sam | 2001-05-31 03:37:08 +0200 (Thu, 31 May 2001) | 4 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/int_types.h
   M /trunk/include/intf_msg.h
   A /trunk/include/iovec.h
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_es.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/input_ts.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_spdif/ac3_iec958.c
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_parser/video_parser.c


  * Applied patch from Jon Lech Johansen <jon-vl@nanocrew.net> to compile
    vlc with MS and Intel C/C++ compilers.

------------------------------------------------------------------------
r930 | sam | 2001-05-31 05:12:49 +0200 (Thu, 31 May 2001) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/include/common.h
   M /trunk/include/intf_msg.h
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_es.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ps.h
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/video_output/video_text.c


  * Win2000 DVD input by Jon Lech Johansen <jon-vl@nanocrew.net>.

------------------------------------------------------------------------
r931 | sam | 2001-05-31 05:23:24 +0200 (Thu, 31 May 2001) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_playlist.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c


  * miscellaneous Win32 fixes by Gildas Bazin <gbazin@netcourrier.com>, sorry
    for the 2 weeks delay.

------------------------------------------------------------------------
r932 | sam | 2001-05-31 05:57:54 +0200 (Thu, 31 May 2001) | 3 lines
Changed paths:
   A /trunk/include/input_iovec.h
   D /trunk/include/iovec.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/video_output/video_output.c


  * BeOS fixes. renamed iovec.h to input_iovec.h because of namespace issues.

------------------------------------------------------------------------
r933 | sam | 2001-05-31 14:45:39 +0200 (Thu, 31 May 2001) | 3 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/include/modules_core.h
   M /trunk/plugins/gtk/intf_gtk.c
   M /trunk/src/input/input.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c


  * Win32 plugin support by Gildas Bazin <gbazin@netcourrier.com>.

------------------------------------------------------------------------
r934 | stef | 2001-05-31 18:10:05 +0200 (Thu, 31 May 2001) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/src/audio_output/aout_spdif.c

*fixed a double malloc/free bug in DVDRead

*fixed a lock issue in the interface introduced in my last commit

------------------------------------------------------------------------
r935 | sam | 2001-06-02 03:09:03 +0200 (Sat, 02 Jun 2001) | 9 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   D /trunk/include/modules_builtin.h.in
   D /trunk/include/modules_core.h
   A /trunk/plugins/directx
   A /trunk/plugins/directx/Makefile
   A /trunk/plugins/directx/aout_directx.c
   A /trunk/plugins/directx/directx.c
   A /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/input_ts.h
   M /trunk/src/interface/intf_msg.c
   A /trunk/src/misc/modules_builtin.h.in
   A /trunk/src/misc/modules_core.h
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c


  * DirectX plugin by Gildas Bazin <gbazin@netcourrier.com>.

    Notes: o I called it 'directx' instead of 'windx' because it
             made a lot more sense to me.
           o Completely untested. I didn't manage to compile it yet.
           o Code in vout_directx.c will go through a big rewrite when
             vout 4 is finished. Xav is already working on this.

------------------------------------------------------------------------
r936 | sam | 2001-06-02 03:10:19 +0200 (Sat, 02 Jun 2001) | 4 lines
Changed paths:
   M /trunk/include/.cvsignore
   A /trunk/src/misc/.cvsignore


  * Moved modules_builtins.h.in into src/misc. Please remove
    include/modules_builtins.h in your local tree.

------------------------------------------------------------------------
r937 | tcastley | 2001-06-02 11:42:26 +0200 (Sat, 02 Jun 2001) | 3 lines
Changed paths:
   A /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/intf_beos.cpp

Change to the set out of the BeOS code to
allow more logical updates.

------------------------------------------------------------------------
r938 | tcastley | 2001-06-02 12:16:43 +0200 (Sat, 02 Jun 2001) | 5 lines
Changed paths:
   M /trunk/plugins/beos/Makefile

Forgot this...

Change to the set out of the BeOS code to
allow more logical updates.

------------------------------------------------------------------------
r939 | sam | 2001-06-03 14:47:22 +0200 (Sun, 03 Jun 2001) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.dep
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/modules_export.h
   M /trunk/include/mpeg_system.h
   M /trunk/include/video_fifo.h
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/downmix/ac3_downmix_3dn.c
   M /trunk/plugins/downmix/ac3_downmix_sse.c
   M /trunk/plugins/downmix/downmix3dn.c
   M /trunk/plugins/downmix/downmixsse.c
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ioctl.c
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/idct/vdec_block_c.c
   M /trunk/plugins/idct/vdec_block_mmx.c
   M /trunk/plugins/imdct/ac3_imdct_3dn.c
   M /trunk/plugins/imdct/imdct.c
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/motion/vdec_motion_common.c
   M /trunk/plugins/mpeg/es.c
   M /trunk/plugins/mpeg/input_ps.c
   M /trunk/plugins/mpeg/input_ts.c
   M /trunk/plugins/mpeg/ts.c
   M /trunk/plugins/null/null.c
   M /trunk/plugins/text/intf_rc.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/yuv/transforms_yuv.c
   M /trunk/plugins/yuv/transforms_yuvmmx.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuvmmx.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuv/yuvmmx.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_decoder/video_decoder.c


  * Various little fixes
   - BeOS interface compilation fix by Rene Gollent.
   - DirectX plugin compilation fix by Gildas Bazin.
   - removed %ebx spill in the iMDCT plugins.

------------------------------------------------------------------------
r940 | sam | 2001-06-05 06:08:06 +0200 (Tue, 05 Jun 2001) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/changelog-css
   M /trunk/plugins/sdl/Makefile
   M /trunk/vlc.spec


  * Updated things and stuff for 0.2.80 release.

------------------------------------------------------------------------
r941 | sam | 2001-06-07 03:10:33 +0200 (Thu, 07 Jun 2001) | 25 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/dummy/Makefile
   M /trunk/plugins/dummy/dummy.c
   A /trunk/plugins/dummy/input_dummy.c
   A /trunk/plugins/dummy/null.c
   D /trunk/plugins/null
   M /trunk/src/input/input.c


  * Put most builtins in plugins again due to performances issues (more
    about this in a forthcoming post here).
  * Fixed the painfully slow build process (at last!).
  * Moved the null plugin together with the dummy one.
  * Added new dummy input plugin.

   More on the dummy input plugin: we'll use it to insert commands in
  the playlist. Currently implemented are the "quit" and "pause" functions,
  here are examples on how they are used:

    vlc file.mpeg vlc:quit                # exit after file.mpeg has been read.

    vlc file1.mpeg vlc:pause:3 file2.mpeg # pause 3 seconds before playing
                                          # the next file.

   From now we can more efficiently benchmark vlc. For instance, to test
  the video output changes I am doing, I use such a command:

    time vlc -I dummy --noaudio file.mpeg vlc:quit

   Future extentions might include more interesting stuff like "switch
  to full screen", "repeat next file 3 times", "switch to SDL video
  output"...

------------------------------------------------------------------------
r942 | sam | 2001-06-07 17:27:44 +0200 (Thu, 07 Jun 2001) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/modules_export.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/motion/vdec_motion_common.c
   M /trunk/plugins/motion/vdec_motion_inner.c
   M /trunk/plugins/motion/vdec_motion_inner_mmx.c
   M /trunk/plugins/motion/vdec_motion_inner_mmxext.c
   M /trunk/plugins/mpeg/input_es.c


  * Applied old FreeBSD patch for dvd input by German Tischler.
  * Found what was causing the slowdowns: a namespace collision. Put all
    plugins into builtins again.

------------------------------------------------------------------------
r943 | sam | 2001-06-08 00:14:56 +0200 (Fri, 08 Jun 2001) | 4 lines
Changed paths:
   M /trunk/plugins/motion/vdec_motion_inner.c
   M /trunk/plugins/motion/vdec_motion_inner_mmx.c
   M /trunk/plugins/motion/vdec_motion_inner_mmxext.c
   M /trunk/plugins/sdl/vout_sdl.c


  * SDL compilation fix for FreeBSD.
  * Fixed compilation of motion modules as plugins.

------------------------------------------------------------------------
r944 | sam | 2001-06-08 00:25:42 +0200 (Fri, 08 Jun 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_css.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h


  * Another FreeBSD compilation fix.

------------------------------------------------------------------------
r945 | sam | 2001-06-08 22:03:16 +0200 (Fri, 08 Jun 2001) | 4 lines
Changed paths:
   M /trunk/include/modules_export.h
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dummy/input_dummy.c


  * Lots of DirectX plugin fixes by Gildas Bazin.
  * Compilation fix in message queue mode.

------------------------------------------------------------------------
r946 | stef | 2001-06-09 19:01:22 +0200 (Sat, 09 Jun 2001) | 8 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/ac3_spdif/ac3_spdif.c
   M /trunk/src/ac3_spdif/ac3_spdif.h
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input_clock.c

*Fixed a bug in synchro reinitialisation: we no longer have a shift each
time we restart the synchro (for scr discontinuity for instance)

*In DVD mode, we reinit the synchro only if the scr are not continuous
(instead of each cell)

*Try to improve ac3 spdif to prevent from desynchronization.

------------------------------------------------------------------------
r947 | reno | 2001-06-12 02:30:41 +0200 (Tue, 12 Jun 2001) | 2 lines
Changed paths:
   M /trunk/include/ac3_imdct.h
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/interface/main.c

* Check that OS support SSE optimization for PIII (to avoid illegal hardware instruction on Linux 2.2.x)

------------------------------------------------------------------------
r948 | reno | 2001-06-12 13:02:07 +0200 (Tue, 12 Jun 2001) | 2 lines
Changed paths:
   M /trunk/src/interface/main.c

* Fix the warning in compilation of main.c

------------------------------------------------------------------------
r949 | henri | 2001-06-12 15:50:09 +0200 (Tue, 12 Jun 2001) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/TODO
   D /trunk/src/lpcm_decoder/lpcm_decoder.c
   D /trunk/src/lpcm_decoder/lpcm_decoder.h
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.h


Added LPCM support. It should work with stereo LPCM.
Untested with 5-ways LPCM streams.

------------------------------------------------------------------------
r950 | stef | 2001-06-12 20:16:49 +0200 (Tue, 12 Jun 2001) | 17 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c

*slight modification in input_dvd since Getiovec wasn't at the right
place

*send escape packet when changing title, not to be stuck in some
decoder.

*the position in the title is now resetted when we change title to
prevent a title from being unavailable because we're stuck at the end

*fixed a bug with 1-chapter-long title that displayed chapter 0.

*added a _temporary_ field in p_main to know whether the audio stream is
ac3 (ugly). It allows a vlc launched in spdif mode to play mpeg or lpcm
audio.

*cleaned the title property messages to get rid of the ugly stars.

------------------------------------------------------------------------
r951 | sam | 2001-06-13 00:14:44 +0200 (Wed, 13 Jun 2001) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/extras/libdvdcss
   A /trunk/extras/libdvdcss/.cvsignore
   A /trunk/extras/libdvdcss/Makefile
   A /trunk/extras/libdvdcss/css.c
   A /trunk/extras/libdvdcss/css.h
   A /trunk/extras/libdvdcss/csstables.h
   A /trunk/extras/libdvdcss/ioctl.c
   A /trunk/extras/libdvdcss/ioctl.h
   A /trunk/extras/libdvdcss/libdvdcss.c
   A /trunk/extras/libdvdcss/libdvdcss.h
   A /trunk/extras/libdvdcss/videolan
   A /trunk/extras/libdvdcss/videolan/dvdcss.h
   M /trunk/include/input_iovec.h
   M /trunk/plugins/dvd/Makefile
   D /trunk/plugins/dvd/dvd_css.c
   D /trunk/plugins/dvd/dvd_css.h
   D /trunk/plugins/dvd/dvd_csstables.h
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   D /trunk/plugins/dvd/dvd_ioctl.c
   D /trunk/plugins/dvd/dvd_ioctl.h
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvd/dvd_udf.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   A /trunk/plugins/kde/.cvsignore
   M /trunk/plugins/sdl/Makefile
   M /trunk/src/interface/main.c


  * Exported the CSS part of the dvd plugin into a library.

------------------------------------------------------------------------
r952 | stef | 2001-06-13 02:03:08 +0200 (Wed, 13 Jun 2001) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_netlist.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/audio_output/aout_spdif.c

*the dvd netlist no longer stops when the fifo is empty ; it just waits
that there are free vectors again

------------------------------------------------------------------------
r953 | sam | 2001-06-14 03:49:44 +0200 (Thu, 14 Jun 2001) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/extras/libdvdcss/Makefile
   M /trunk/extras/libdvdcss/libdvdcss.c
   M /trunk/extras/libdvdcss/libdvdcss.h
   M /trunk/extras/libdvdcss/videolan/dvdcss.h
   M /trunk/include/defs.h.in
   M /trunk/include/threads.h
   M /trunk/lib/.cvsignore
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dvd/Makefile
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_menu.h
   M /trunk/plugins/gtk/intf_gtk.h
   M /trunk/src/input/input.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_core.h
   M /trunk/src/misc/mtime.c
   M /trunk/src/video_output/video_output.c


  * DirectX enhancements by Gildas Bazin, such as software rendering.
  * Merged dvdcss_init and dvdcss_open into dvdcss_open, and dvdcss_close
    and dvdcss_end into dvdcss_close. libdvdcss API now has 7 functions.
  * Another failed attempt at profiling vlc under Linux: ported the
    threads API to GNU Pth. Activate with --enable-pth. It doesn't seem to
    spawn new threads for me, maybe someone will have better luck.
  * Makefile optimizations.
  * Automatic build of libdvdcss if not found.

------------------------------------------------------------------------
r954 | sam | 2001-06-14 04:47:45 +0200 (Thu, 14 Jun 2001) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/libdvdcss/Makefile
   M /trunk/extras/libdvdcss/css.c
   M /trunk/extras/libdvdcss/ioctl.c
   M /trunk/extras/libdvdcss/ioctl.h
   M /trunk/extras/libdvdcss/libdvdcss.c
   M /trunk/extras/libdvdcss/libdvdcss.h
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input.c
   M /trunk/src/misc/modules.c


  * Fully working Windows DVD ioctl support by Jon Lech Johansen.
  * Usual weekly ChangeLog mass-update.

------------------------------------------------------------------------
r955 | sam | 2001-06-14 22:21:04 +0200 (Thu, 14 Jun 2001) | 11 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/threads.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c


  * Added gprof profiling support with --enable-profiling.

    It works at last! configure with --enable-profiling, build, run
